GNU bug report logs - #35274
guix unable to pull or reconfigure as root

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: <timothyhobbs@HIDDEN>; dated Sun, 14 Apr 2019 16:00:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 35274 <at> debbugs.gnu.org:


Received: (at 35274) by debbugs.gnu.org; 17 Apr 2019 16:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 17 12:03:12 2019
Received: from localhost ([127.0.0.1]:40635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGn1k-0002xE-7O
	for submit <at> debbugs.gnu.org; Wed, 17 Apr 2019 12:03:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hGn1h-0002wz-BB
 for 35274 <at> debbugs.gnu.org; Wed, 17 Apr 2019 12:03:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43933)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hGn1b-0003Yn-Hq; Wed, 17 Apr 2019 12:03:03 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53380 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hGn1a-0006oq-0Z; Wed, 17 Apr 2019 12:03:03 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: <timothyhobbs@HIDDEN>
Subject: Re: bug#35274: guix unable to pull or reconfigure as root
References: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN> <878swbl8um.fsf@HIDDEN>
 <ArR.1kuz8.4Bw}BG5u3Uf.1SjEuO@HIDDEN> <87wojtevpp.fsf@HIDDEN>
 <DKh.1ku2K.28I2xjDACwj.1Sjl2B@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 17 Apr 2019 18:03:00 +0200
In-Reply-To: <DKh.1ku2K.28I2xjDACwj.1Sjl2B@HIDDEN>
 (timothyhobbs@HIDDEN's message of "Wed, 17 Apr 2019 11:23:23 +0200
 (CEST)")
Message-ID: <87a7goaabv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35274
Cc: 35274 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

<timothyhobbs@HIDDEN> skribis:

> Running the user's command as root worked. However it did not fix roots=20
> command. system reconfigure using the user command did, however, fix root=
s=20
> command and I seem to be back to having a working system. Thanks :)

If you run =E2=80=98guix pull=E2=80=99  as root, it updates ~root/.config/g=
uix/current.

Then, in root=E2=80=99s shell session, you need to do:

  export PATH=3D$HOME/.config/guix/current/bin:$PATH
  hash guix

at which point the =E2=80=98guix=E2=80=99 command is the latest one, which =
=E2=80=98guix
describe=E2=80=99 should confirm.

Can you check that this is the case?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35274; Package guix. Full text available.

Message received at 35274 <at> debbugs.gnu.org:


Received: (at 35274) by debbugs.gnu.org; 17 Apr 2019 09:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 17 05:23:39 2019
Received: from localhost ([127.0.0.1]:39605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGgn4-0005PW-SC
	for submit <at> debbugs.gnu.org; Wed, 17 Apr 2019 05:23:39 -0400
Received: from mxe2.seznam.cz ([77.75.76.34]:13793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timothyhobbs@HIDDEN>) id 1hGgn2-0005PI-Ed
 for 35274 <at> debbugs.gnu.org; Wed, 17 Apr 2019 05:23:37 -0400
Received: from email.seznam.cz
 by email-smtpc8b.ng.seznam.cz (email-smtpc8b.ng.seznam.cz [10.23.13.225])
 id 3b9b38115ff0198b3a2120bb; Wed, 17 Apr 2019 11:23:25 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=seznam.cz; s=beta;
 t=1555493005; bh=/iALfJq6z6x2JC8rR2PYW9U1v27MebAkvafFrjzt3qA=;
 h=Received:From:To:Cc:Subject:Date:Message-Id:References:
 Mime-Version:X-Mailer:Content-Type;
 b=Sk8VyyzA88QsCk81sJaFjmy1Taf8+qqn49+2FaPmtPOo5U33126hk148vAbN2L4eh
 tcGTB3m58ySl+O678PXnL1SNL02BHdSilb0caSBut5zcHnUT0pc1ogqP12unWnReN7
 GxkoHUfZkDDvZ8iPYTUKteX/xSaogA4rQy0cce5Q=
Received: from unknown ([::ffff:78.102.251.149])
 by email.seznam.cz (szn-ebox-4.5.353) with HTTP;
 Wed, 17 Apr 2019 11:23:23 +0200 (CEST)
From: <timothyhobbs@HIDDEN>
To: =?utf-8?q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#35274: guix unable to pull or reconfigure as root
Date: Wed, 17 Apr 2019 11:23:23 +0200 (CEST)
Message-Id: <DKh.1ku2K.28I2xjDACwj.1Sjl2B@HIDDEN>
References: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN> <878swbl8um.fsf@HIDDEN>
 <ArR.1kuz8.4Bw}BG5u3Uf.1SjEuO@HIDDEN> <87wojtevpp.fsf@HIDDEN>
Mime-Version: 1.0 (szn-mime-2.0.43)
X-Mailer: szn-ebox-4.5.353
Content-Type: multipart/alternative;
 boundary="=_19e8a3063fff2a4f06ddff11=6d83d4e6-835c-5f71-a59e-308637d33d66_="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35274
Cc: 35274 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=_19e8a3063fff2a4f06ddff11=6d83d4e6-835c-5f71-a59e-308637d33d66_=
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable


Running the user's command as root worked. However it did not fix roots =

command. system reconfigure using the user command did, however, fix roots=
 
command and I seem to be back to having a working system. Thanks :)




Tim
---------- P=C5=AFvodn=C3=AD e-mail ----------
Od: Ludovic Court=C3=A8s <ludo@HIDDEN>
Komu: timothyhobbs@HIDDEN
Datum: 16. 4. 2019 16:55:29
P=C5=99edm=C4=9Bt: Re: bug#35274: guix unable to pull or reconfigure as ro=
ot 
"Hello, 

<timothyhobbs@HIDDEN> skribis: 

> $ guix describe 
> Generation 7=C2=A0=C2=A0=C2=A0 Apr 14 2019 14:46:29=C2=A0=C2=A0=C2=A0 (c=
urrent) 
> =C2=A0 guix cabe8f1 
> =C2=A0=C2=A0=C2=A0 repository URL: https://git.savannah.gnu.org/git/guix=
.git 
> =C2=A0=C2=A0=C2=A0 branch: master 
> =C2=A0=C2=A0=C2=A0 commit: cabe8f18443a0a1deb6f2ae7d8f4a6fb591daceb 
> 
> # guix --version 
> guix (GNU Guix) 0.16.0-8.7ba2b27 

Could you run =E2=80=98guix pull=E2=80=99 as root using your user=E2=80=99=
s =E2=80=98guix=E2=80=99 command? 

You can do that with: 

~USER/.config/current/bin/guix pull 

(Replace =E2=80=9CUSER=E2=80=9D with the actual user name.) 

Ludo=E2=80=99. 
"
--=_19e8a3063fff2a4f06ddff11=6d83d4e6-835c-5f71-a59e-308637d33d66_=
Content-Type: text/html;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><body><div>Running the user's command as root worked. However it did=
 not fix =0A=
roots command. system reconfigure using the user command did, however, =
=0A=
fix roots command and I seem to be back to having a working system. =0A=
Thanks :)</div><div><br></div><div>Tim</div><aside>=0A=
---------- P=C5=AFvodn=C3=AD e-mail ----------<br>=0A=
Od: Ludovic Court=C3=A8s &lt;ludo@HIDDEN&gt;<br>=0A=
Komu: timothyhobbs@HIDDEN<br>=0A=
Datum: 16. 4. 2019 16:55:29<br>=0A=
P=C5=99edm=C4=9Bt: Re: bug#35274: guix unable to pull or reconfigure as ro=
ot=0A=
</aside><br><blockquote data-email=3D"ludo@HIDDEN">Hello,=0A=
<br>=0A=
<br>&lt;timothyhobbs@HIDDEN&gt; skribis:=0A=
<br>=0A=
<br>&gt; $ guix describe=0A=
<br>&gt; Generation 7&nbsp;&nbsp;&nbsp; Apr 14 2019 14:46:29&nbsp;&nbsp;&n=
bsp; (current)=0A=
<br>&gt; &nbsp; guix cabe8f1=0A=
<br>&gt; &nbsp;&nbsp;&nbsp; repository URL: https://git.savannah.gnu.org/g=
it/guix.git=0A=
<br>&gt; &nbsp;&nbsp;&nbsp; branch: master=0A=
<br>&gt; &nbsp;&nbsp;&nbsp; commit: cabe8f18443a0a1deb6f2ae7d8f4a6fb591dac=
eb=0A=
<br>&gt;=0A=
<br>&gt; # guix --version=0A=
<br>&gt; guix (GNU Guix) 0.16.0-8.7ba2b27=0A=
<br>=0A=
<br>Could you run =E2=80=98guix pull=E2=80=99 as root using your user=
=E2=80=99s =E2=80=98guix=E2=80=99 command?=0A=
<br>=0A=
<br>You can do that with:=0A=
<br>=0A=
<br>  ~USER/.config/current/bin/guix pull=0A=
<br>=0A=
<br>(Replace =E2=80=9CUSER=E2=80=9D with the actual user name.)=0A=
<br>=0A=
<br>Ludo=E2=80=99.=0A=
<br></blockquote></body></html>
--=_19e8a3063fff2a4f06ddff11=6d83d4e6-835c-5f71-a59e-308637d33d66_=--





Information forwarded to bug-guix@HIDDEN:
bug#35274; Package guix. Full text available.

Message received at 35274 <at> debbugs.gnu.org:


Received: (at 35274) by debbugs.gnu.org; 16 Apr 2019 16:55:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 12:55:26 2019
Received: from localhost ([127.0.0.1]:37934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGRMk-0005TA-Ah
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 12:55:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hGRMi-0005Sw-2p
 for 35274 <at> debbugs.gnu.org; Tue, 16 Apr 2019 12:55:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52212)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hGRMb-0006Tt-Lq; Tue, 16 Apr 2019 12:55:17 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=59272 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hGRMa-0001vk-EJ; Tue, 16 Apr 2019 12:55:17 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: <timothyhobbs@HIDDEN>
Subject: Re: bug#35274: guix unable to pull or reconfigure as root
References: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN> <878swbl8um.fsf@HIDDEN>
 <ArR.1kuz8.4Bw}BG5u3Uf.1SjEuO@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 16 Apr 2019 18:55:14 +0200
In-Reply-To: <ArR.1kuz8.4Bw}BG5u3Uf.1SjEuO@HIDDEN>
 (timothyhobbs@HIDDEN's message of "Mon\, 15 Apr 2019 22\:48\:24 +0200
 \(CEST\)")
Message-ID: <87wojtevpp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35274
Cc: 35274 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

<timothyhobbs@HIDDEN> skribis:

> $ guix describe
> Generation 7=C2=A0=C2=A0=C2=A0 Apr 14 2019 14:46:29=C2=A0=C2=A0=C2=A0 (cu=
rrent)
> =C2=A0 guix cabe8f1
> =C2=A0=C2=A0=C2=A0 repository URL: https://git.savannah.gnu.org/git/guix.=
git
> =C2=A0=C2=A0=C2=A0 branch: master
> =C2=A0=C2=A0=C2=A0 commit: cabe8f18443a0a1deb6f2ae7d8f4a6fb591daceb
>
> # guix --version
> guix (GNU Guix) 0.16.0-8.7ba2b27

Could you run =E2=80=98guix pull=E2=80=99 as root using your user=E2=80=99s=
 =E2=80=98guix=E2=80=99 command?

You can do that with:

  ~USER/.config/current/bin/guix pull

(Replace =E2=80=9CUSER=E2=80=9D with the actual user name.)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35274; Package guix. Full text available.

Message received at 35274 <at> debbugs.gnu.org:


Received: (at 35274) by debbugs.gnu.org; 15 Apr 2019 21:17:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 17:17:47 2019
Received: from localhost ([127.0.0.1]:35658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hG8z4-0004wu-9f
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2019 17:17:47 -0400
Received: from mxe2.seznam.cz ([77.75.76.34]:36176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timothyhobbs@HIDDEN>) id 1hG8Wq-00045d-Vm
 for 35274 <at> debbugs.gnu.org; Mon, 15 Apr 2019 16:48:38 -0400
Received: from email.seznam.cz
 by email-smtpc9a.ng.seznam.cz (email-smtpc9a.ng.seznam.cz [10.23.11.15])
 id 70651bc1140e3a5b71df036b; Mon, 15 Apr 2019 22:48:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=seznam.cz; s=beta;
 t=1555361306; bh=4Bx2preFf3d0Wlfet2NB6dEvNbCqWNHqPksFJRQ5RqE=;
 h=Received:From:To:Cc:Subject:Date:Message-Id:References:
 Mime-Version:X-Mailer:Content-Type;
 b=coOtYToKxocKb9FYwF2XTa/MMt4kazY1lqvmIlyibAxu812MyvhaXFvAMfFntfRot
 2dnnjnMFlXYYVyz9OmaE8tAq0tm+iURkEst3FcoR1c1PG1TqR6NWPAtL9vStMp8tSX
 FctpYy5YbtOdYeWAT74Mq0V9JCYTRDS6ZVbJQsYk=
Received: from unknown ([::ffff:78.102.251.149])
 by email.seznam.cz (szn-ebox-4.5.353) with HTTP;
 Mon, 15 Apr 2019 22:48:24 +0200 (CEST)
From: <timothyhobbs@HIDDEN>
To: =?utf-8?q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#35274: guix unable to pull or reconfigure as root
Date: Mon, 15 Apr 2019 22:48:24 +0200 (CEST)
Message-Id: <ArR.1kuz8.4Bw}BG5u3Uf.1SjEuO@HIDDEN>
References: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN> <878swbl8um.fsf@HIDDEN>
Mime-Version: 1.0 (szn-mime-2.0.43)
X-Mailer: szn-ebox-4.5.353
Content-Type: multipart/alternative;
 boundary="=_36eedec534ab318a16300894=6d83d4e6-835c-5f71-a59e-308637d33d66_="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35274
X-Mailman-Approved-At: Mon, 15 Apr 2019 17:17:44 -0400
Cc: 35274 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=_36eedec534ab318a16300894=6d83d4e6-835c-5f71-a59e-308637d33d66_=
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable


Hi,

thanks for the quick response: 





# guix describe

guix describe: error: failed to determine origin

$ guix describe
Generation 7=C2=A0=C2=A0=C2=A0 Apr 14 2019 14:46:29=C2=A0=C2=A0=C2=A0 (cur=
rent)
=C2=A0 guix cabe8f1
=C2=A0=C2=A0=C2=A0 repository URL: https://git.savannah.gnu.org/git/guix.g=
it
=C2=A0=C2=A0=C2=A0 branch: master
=C2=A0=C2=A0=C2=A0 commit: cabe8f18443a0a1deb6f2ae7d8f4a6fb591daceb

# guix --version
guix (GNU Guix) 0.16.0-8.7ba2b27
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.ht=
ml
>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

$ guix version
guix (GNU Guix) cabe8f18443a0a1deb6f2ae7d8f4a6fb591daceb
Copyright (C) 2019 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.ht=
ml
>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

NOTE: # is logged in as root, $ is logged in as normal user.
---------- P=C5=AFvodn=C3=AD e-mail ----------
Od: Ludovic Court=C3=A8s <ludo@HIDDEN>
Komu: timothyhobbs@HIDDEN
Datum: 15. 4. 2019 13:06:49
P=C5=99edm=C4=9Bt: Re: bug#35274: guix unable to pull or reconfigure as ro=
ot 
"Hello, 

<timothyhobbs@HIDDEN> skribis: 

> building directory of Info manuals... 
> Backtrace: 
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 10 (primitive-loa=
d "/gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?") 
> In ice-9/eval.scm: 
> =C2=A0=C2=A0 721:20=C2=A0 9 (primitive-eval (begin (use-modules (guix bu=
ild #) ?) ?)) 
> In ice-9/psyntax.scm: 
> =C2=A0 1235:36=C2=A0 8 (expand-top-sequence ((begin (use-modules (# # ?)=
 ?) ?)) ?) 
> =C2=A0 1182:24=C2=A0 7 (parse _ (("placeholder" placeholder)) ((top) #(#=
 # ?)) ?) 
> =C2=A0 1182:24=C2=A0 6 (parse _ (("placeholder" placeholder)) ((top) #(#=
 # ?)) ?) 
> =C2=A0=C2=A0 285:10=C2=A0 5 (parse _ (("placeholder" placeholder)) (()) =
_ c&e (eval) ?) 
> In ice-9/boot-9.scm: 
> =C2=A0 3377:20=C2=A0 4 (process-use-modules _) 
> =C2=A0=C2=A0 222:17=C2=A0 3 (map1 (((guix build utils)) ((srfi srfi-1)) =
((srfi ?)) ?)) 
> =C2=A0 3378:31=C2=A0 2 (_ ((guix build utils))) 
> =C2=A0=C2=A0 2803:6=C2=A0 1 (resolve-interface _ #:select _ #:hide _ #:p=
refix _ # _ ?) 
> In unknown file: 
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 0 (scm-erro=
r misc-error #f "~A ~S" ("no code for modu?" ?) ?) 
> 
> ERROR: In procedure scm-error: 
> no code for module (guix build utils) 
> builder for `/gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv' =

> failed with exit code 1 

Could you share the output of =E2=80=98guix describe=E2=80=99 and =
=E2=80=98guix --version=E2=80=99? 

This looks like a bug that was fixed a few months back: 

https://issues.guix.info/issue/27476 

Thanks in advance, 
Ludo=E2=80=99. 
"
--=_36eedec534ab318a16300894=6d83d4e6-835c-5f71-a59e-308637d33d66_=
Content-Type: text/html;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><body><div>Hi,</div><div>thanks for the quick response: <br></div><d=
iv><br></div><div># guix describe<br></div><aside>=0A=
guix describe: error: failed to determine origin<br><br>$ guix describe<br=
>Generation 7&nbsp;&nbsp;&nbsp; Apr 14 2019 14:46:29&nbsp;&nbsp;&nbsp; (cu=
rrent)<br>&nbsp; guix cabe8f1<br>&nbsp;&nbsp;&nbsp; repository URL: https:=
//git.savannah.gnu.org/git/guix.git<br>&nbsp;&nbsp;&nbsp; branch: master<b=
r>&nbsp;&nbsp;&nbsp; commit: cabe8f18443a0a1deb6f2ae7d8f4a6fb591daceb<br><=
br># guix --version<br>guix (GNU Guix) 0.16.0-8.7ba2b27<br>Copyright (C) 2=
018 the Guix authors<br>License GPLv3+: GNU GPL version 3 or later &lt;htt=
p://gnu.org/licenses/gpl.html&gt;<br>This is free software: you are free t=
o change and redistribute it.<br>There is NO WARRANTY, to the extent permi=
tted by law.<br><br>$ guix version<br>guix (GNU Guix) cabe8f18443a0a1deb6f=
2ae7d8f4a6fb591daceb<br>Copyright (C) 2019 the Guix authors<br>License GPL=
v3+: GNU GPL version 3 or later &lt;http://gnu.org/licenses/gpl.html&gt;<b=
r>This is free software: you are free to change and redistribute it.<br>Th=
ere is NO WARRANTY, to the extent permitted by law.<br><br>NOTE: # is logg=
ed in as root, $ is logged in as normal user.<br>---------- P=C5=AFvodn=
=C3=AD e-mail ----------<br>=0A=
Od: Ludovic Court=C3=A8s &lt;ludo@HIDDEN&gt;<br>=0A=
Komu: timothyhobbs@HIDDEN<br>=0A=
Datum: 15. 4. 2019 13:06:49<br>=0A=
P=C5=99edm=C4=9Bt: Re: bug#35274: guix unable to pull or reconfigure as ro=
ot=0A=
</aside><br><blockquote data-email=3D"ludo@HIDDEN">Hello,=0A=
<br>=0A=
<br>&lt;timothyhobbs@HIDDEN&gt; skribis:=0A=
<br>=0A=
<br>&gt; building directory of Info manuals...=0A=
<br>&gt; Backtrace:=0A=
<br>&gt; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 10 (primit=
ive-load "/gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?")=0A=
<br>&gt; In ice-9/eval.scm:=0A=
<br>&gt; &nbsp;&nbsp; 721:20&nbsp; 9 (primitive-eval (begin (use-modules (=
guix build #) ?) ?))=0A=
<br>&gt; In ice-9/psyntax.scm:=0A=
<br>&gt; &nbsp; 1235:36&nbsp; 8 (expand-top-sequence ((begin (use-modules =
(# # ?) ?) ?)) ?)=0A=
<br>&gt; &nbsp; 1182:24&nbsp; 7 (parse _ (("placeholder" placeholder)) ((t=
op) #(# # ?)) ?)=0A=
<br>&gt; &nbsp; 1182:24&nbsp; 6 (parse _ (("placeholder" placeholder)) ((t=
op) #(# # ?)) ?)=0A=
<br>&gt; &nbsp;&nbsp; 285:10&nbsp; 5 (parse _ (("placeholder" placeholder)=
) (()) _ c&amp;e (eval) ?)=0A=
<br>&gt; In ice-9/boot-9.scm:=0A=
<br>&gt; &nbsp; 3377:20&nbsp; 4 (process-use-modules _)=0A=
<br>&gt; &nbsp;&nbsp; 222:17&nbsp; 3 (map1 (((guix build utils)) ((srfi sr=
fi-1)) ((srfi ?)) ?))=0A=
<br>&gt; &nbsp; 3378:31&nbsp; 2 (_ ((guix build utils)))=0A=
<br>&gt; &nbsp;&nbsp; 2803:6&nbsp; 1 (resolve-interface _ #:select _ #:hid=
e _ #:prefix _ # _ ?)=0A=
<br>&gt; In unknown file:=0A=
<br>&gt; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0 (s=
cm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)=0A=
<br>&gt;=0A=
<br>&gt; ERROR: In procedure scm-error:=0A=
<br>&gt; no code for module (guix build utils)=0A=
<br>&gt; builder for `/gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir=
.drv' =0A=
<br>&gt; failed with exit code 1=0A=
<br>=0A=
<br>Could you share the output of =E2=80=98guix describe=E2=80=99 and =
=E2=80=98guix --version=E2=80=99?=0A=
<br>=0A=
<br>This looks like a bug that was fixed a few months back:=0A=
<br>=0A=
<br>  https://issues.guix.info/issue/27476=0A=
<br>=0A=
<br>Thanks in advance,=0A=
<br>Ludo=E2=80=99.=0A=
<br></blockquote></body></html>
--=_36eedec534ab318a16300894=6d83d4e6-835c-5f71-a59e-308637d33d66_=--





Information forwarded to bug-guix@HIDDEN:
bug#35274; Package guix. Full text available.

Message received at 35274 <at> debbugs.gnu.org:


Received: (at 35274) by debbugs.gnu.org; 15 Apr 2019 13:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 09:02:56 2019
Received: from localhost ([127.0.0.1]:34235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hG1GC-0005pm-9o
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2019 09:02:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hG1G9-0005pW-JV
 for 35274 <at> debbugs.gnu.org; Mon, 15 Apr 2019 09:02:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55640)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hG1G3-00058L-MX; Mon, 15 Apr 2019 09:02:48 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=54378 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hG1Fy-00055d-Mj; Mon, 15 Apr 2019 09:02:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: <timothyhobbs@HIDDEN>
Subject: Re: bug#35274: guix unable to pull or reconfigure as root
References: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 15 Apr 2019 15:02:41 +0200
In-Reply-To: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN>
 (timothyhobbs@HIDDEN's message of "Sun\, 14 Apr 2019 16\:08\:28 +0200
 \(CEST\)")
Message-ID: <878swbl8um.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35274
Cc: 35274 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

<timothyhobbs@HIDDEN> skribis:

> building directory of Info manuals...
> Backtrace:
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 10 (primitive-load=
 "/gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?")
> In ice-9/eval.scm:
> =C2=A0=C2=A0 721:20=C2=A0 9 (primitive-eval (begin (use-modules (guix bui=
ld #) ?) ?))
> In ice-9/psyntax.scm:
> =C2=A0 1235:36=C2=A0 8 (expand-top-sequence ((begin (use-modules (# # ?) =
?) ?)) ?)
> =C2=A0 1182:24=C2=A0 7 (parse _ (("placeholder" placeholder)) ((top) #(# =
# ?)) ?)
> =C2=A0 1182:24=C2=A0 6 (parse _ (("placeholder" placeholder)) ((top) #(# =
# ?)) ?)
> =C2=A0=C2=A0 285:10=C2=A0 5 (parse _ (("placeholder" placeholder)) (()) _=
 c&e (eval) ?)
> In ice-9/boot-9.scm:
> =C2=A0 3377:20=C2=A0 4 (process-use-modules _)
> =C2=A0=C2=A0 222:17=C2=A0 3 (map1 (((guix build utils)) ((srfi srfi-1)) (=
(srfi ?)) ?))
> =C2=A0 3378:31=C2=A0 2 (_ ((guix build utils)))
> =C2=A0=C2=A0 2803:6=C2=A0 1 (resolve-interface _ #:select _ #:hide _ #:pr=
efix _ # _ ?)
> In unknown file:
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 0 (scm-error=
 misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>
> ERROR: In procedure scm-error:
> no code for module (guix build utils)
> builder for `/gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv'=20
> failed with exit code 1

Could you share the output of =E2=80=98guix describe=E2=80=99 and =E2=80=98=
guix --version=E2=80=99?

This looks like a bug that was fixed a few months back:

  https://issues.guix.info/issue/27476

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35274; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Apr 2019 15:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 11:59:20 2019
Received: from localhost ([127.0.0.1]:33049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFhXJ-0001lD-9v
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 11:59:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timothyhobbs@HIDDEN>) id 1hFfoX-00036V-TH
 for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 10:09:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:41483)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <timothyhobbs@HIDDEN>)
 id 1hFfoS-0007yT-LY
 for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 10:08:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43487)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <timothyhobbs@HIDDEN>) id 1hFfoM-0000PL-MR
 for bug-guix@HIDDEN; Sun, 14 Apr 2019 10:08:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <timothyhobbs@HIDDEN>) id 1hFfoG-0007nl-W6
 for bug-guix@HIDDEN; Sun, 14 Apr 2019 10:08:46 -0400
Received: from mxb2.seznam.cz ([2a02:598:2::89]:56639)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <timothyhobbs@HIDDEN>)
 id 1hFfoF-0007lE-VJ
 for bug-guix@HIDDEN; Sun, 14 Apr 2019 10:08:40 -0400
Received: from email.seznam.cz
 by email-smtpc15a.ng.seznam.cz (email-smtpc15a.ng.seznam.cz [10.23.11.195])
 id 5b015aa03f6a7b3a5abb420a; Sun, 14 Apr 2019 16:08:33 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=seznam.cz; s=beta;
 t=1555250913; bh=6KNZxLMvi+hhPPCc7rQ4a3/LbbSNLdIpq761/WA5Kw0=;
 h=Received:From:To:Subject:Date:Message-Id:Mime-Version:X-Mailer:
 Content-Type;
 b=aRsrEeEdAKcspqY4ucFv3Yo4sdZNMvPOdRnlUW7rCKMCF7jU8LPenSDWt5Hys2QZQ
 ajfBcpL9mUqlWmb0SbpUtL2C81w6teRxyhNRaFa+aEmipgn+DNk1hfYXlzoIV9uHgC
 miJEX53OtD1a/vyTkBsL5RIIwnlDgQZ8GVpMzihI=
Received: from unknown ([::ffff:78.102.251.149])
 by email.seznam.cz (szn-ebox-4.5.353) with HTTP;
 Sun, 14 Apr 2019 16:08:28 +0200 (CEST)
From: <timothyhobbs@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: guix unable to pull or reconfigure as root
Date: Sun, 14 Apr 2019 16:08:28 +0200 (CEST)
Message-Id: <8Dv.1kuyY.58}}E5jWPLJ.1SipxS@HIDDEN>
Mime-Version: 1.0 (szn-mime-2.0.43)
X-Mailer: szn-ebox-4.5.353
Content-Type: multipart/alternative;
 boundary="=_0e43e6256f20f59c4f237e68=6d83d4e6-835c-5f71-a59e-308637d33d66_="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a02:598:2::89
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 14 Apr 2019 11:59:15 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=_0e43e6256f20f59c4f237e68=6d83d4e6-835c-5f71-a59e-308637d33d66_=
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable


Hello,




I'm running guixSD and I seem to have broken the guix command as root (it =

works as a normal user). How can I fix it? When I run 'guix pull' I get th=
e 
following output:




# guix pull
Updating channel 'guix-nonfree-wingo' from Git repository at 'https://
github.com/wingo/guix-nonfree.git'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.=

org/git/guix.git'...
Building from these channels:
=C2=A0 guix=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 https://git.savannah.gnu.org/git=
/guix.git=C2=A0=C2=A0=C2=A0 6b11da7
=C2=A0 guix-nonfree-wingohttps://github.com/wingo/guix-nonfree.git=C2=A0=
=C2=A0=C2=A0 455d9dd
Computing Guix derivation for 'x86_64-linux'... /
The following derivation will be built:
=C2=A0=C2=A0 /gnu/store/crqzz377hiw10xdnwbd85sh3qsc7743z-profile.drv
The following profile hooks will be built:
=C2=A0=C2=A0 /gnu/store/bq8gbnk94a2caf1aaljsqnkmi465wqcy-manual-database.d=
rv
=C2=A0=C2=A0 /gnu/store/7rcx6mhlr2vp593kw5w729k8hp7qsd7k-info-dir.drv
building directory of Info manuals...
Backtrace:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 10 (primitive-load =
"/gnu/store/22way7ahrxy50splj6qkg0qkifw?")
In ice-9/eval.scm:
=C2=A0=C2=A0 721:20=C2=A0 9 (primitive-eval (begin (use-modules (guix buil=
d #) ?) ?))
In ice-9/psyntax.scm:
=C2=A0 1235:36=C2=A0 8 (expand-top-sequence ((begin (use-modules (# # ?) ?=
) ?)) ?)
=C2=A0 1182:24=C2=A0 7 (parse _ (("placeholder" placeholder)) ((top) #(# #=
 ?)) ?)
=C2=A0 1182:24=C2=A0 6 (parse _ (("placeholder" placeholder)) ((top) #(# #=
 ?)) ?)
=C2=A0=C2=A0 285:10=C2=A0 5 (parse _ (("placeholder" placeholder)) (()) _ =
c&e (eval) ?)
In ice-9/boot-9.scm:
=C2=A0 3377:20=C2=A0 4 (process-use-modules _)
=C2=A0=C2=A0 222:17=C2=A0 3 (map1 (((guix build utils)) ((srfi srfi-1)) ((=
srfi ?)) ?))
=C2=A0 3378:31=C2=A0 2 (_ ((guix build utils)))
=C2=A0=C2=A0 2803:6=C2=A0 1 (resolve-interface _ #:select _ #:hide _ #:pre=
fix _ # _ ?)
In unknown file:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 0 (scm-error =
misc-error #f "~A ~S" ("no code for modu?" ?) ?)

ERROR: In procedure scm-error:
no code for module (guix build utils)
builder for `/gnu/store/7rcx6mhlr2vp593kw5w729k8hp7qsd7k-info-dir.drv' 
failed with exit code 1
build of /gnu/store/7rcx6mhlr2vp593kw5w729k8hp7qsd7k-info-dir.drv failed=

View build log at '/var/log/guix/drvs/7r/cx6mhlr2vp593kw5w729k8hp7qsd7k-in=
fo
-dir.drv.bz2'.
cannot build derivation `/gnu/store/crqzz377hiw10xdnwbd85sh3qsc7743z-
profile.drv': 1 dependencies couldn't be built
guix pull: error: build failed: build of `/gnu/store/crqzz377hiw10xdnwbd85=
sh
3qsc7743z-profile.drv' failed
root@yoga-guix /home/timothy/config/guix# guix pull
Updating channel 'guix-nonfree-wingo' from Git repository at 'https://
github.com/wingo/guix-nonfree.git'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.=

org/git/guix.git'...
Building from these channels:
=C2=A0 guix=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 https://git.savannah.gnu.org/git=
/guix.git=C2=A0=C2=A0=C2=A0 cabe8f1
=C2=A0 guix-nonfree-wingohttps://github.com/wingo/guix-nonfree.git=C2=A0=
=C2=A0=C2=A0 455d9dd
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
1.8 MB will be downloaded:
=C2=A0=C2=A0 /gnu/store/adbpzqi725y9ywgsvbnqmj2kjap0853k-compute-guix-deri=
vation
=C2=A0=C2=A0 /gnu/store/bq71g8vg22pc0vx6asyfcnckxqxsg7z7-module-import
=C2=A0=C2=A0 /gnu/store/j1k664ldcwbyg23dkz8icvc0bm2gb5c8-module-import-com=
piled
substituting /gnu/store/bq71g8vg22pc0vx6asyfcnckxqxsg7z7-module-import...=

downloading from https://ci.guix.info/nar/gzip/bq71g8vg22pc0vx6asyfcnckxqx=
sg
7z7-module-import...
=C2=A0module-import=C2=A0 2KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 796KiB/s 00:0=
0 [##################] 
100.0%

substituting /gnu/store/j1k664ldcwbyg23dkz8icvc0bm2gb5c8-module-import-
compiled...
downloading from https://ci.guix.info/nar/gzip/j1k664ldcwbyg23dkz8icvc0bm2=
gb
5c8-module-import-compiled...
=C2=A0module-import-compiled=C2=A0 1.7MiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 802KiB/s 00:02 [##################] 
100.0%

substituting /gnu/store/adbpzqi725y9ywgsvbnqmj2kjap0853k-compute-guix-
derivation...
downloading from https://ci.guix.info/nar/gzip/adbpzqi725y9ywgsvbnqmj2kjap=

0853k-compute-guix-derivation...
=C2=A0compute-guix-derivation=C2=A0 856B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 387KiB/s 00:00 [##################] 
100.0%

Computing Guix derivation for 'x86_64-linux'... -
The following derivations will be built:
=C2=A0=C2=A0 /gnu/store/mgrfbhnjkib39zq20f560jxvni0aflc2-guix-nonfree-wing=
o.drv
=C2=A0=C2=A0 /gnu/store/4zisbw8kkagrscibxn2kp75pryyy9dqa-guix-cabe8f184.dr=
v
=C2=A0=C2=A0 /gnu/store/zs7nr84r1wkgx5adcagbr1vj81pg5fhh-guix-daemon.drv=

=C2=A0=C2=A0 /gnu/store/v4na6dadh9jk0wpfpwnk28sl2g040v1s-guix-manual.drv=

=C2=A0=C2=A0 /gnu/store/sp360c1ryx21vkk5zysv02a0p39fg273-guix-command.drv=

=C2=A0=C2=A0 /gnu/store/hlblpwxwv84zcxkhy6nq2cc7bf1vxc1q-module-import-com=
piled.drv
=C2=A0=C2=A0 /gnu/store/2yskwsnr04yxlc82sdzb6gp63zainm5j-guix-cabe8f184-mo=
dules.drv
=C2=A0=C2=A0 /gnu/store/xac0q5sr622rqbiv9fjaya8cf4v7nm4q-guix-cli-modules.=
drv
=C2=A0=C2=A0 /gnu/store/r4d37lb61g40kdvapvccblsji4vfg77g-guix-system-modul=
es.drv
=C2=A0=C2=A0 /gnu/store/n3lzz7mm8miw06bpi3fm4hgr5x0irz3w-guix-packages-bas=
e-modules.
drv
=C2=A0=C2=A0 /gnu/store/h1bcaa585wbmvdy5g7bf094xp1f1apk9-guix-system-tests=
-modules.drv
=C2=A0=C2=A0 /gnu/store/h00701smf7rjcia172sr41nyfrvhic8k-guix-config-modul=
es.drv
=C2=A0=C2=A0 /gnu/store/gbbilcxgw31w2l63ki5m2xs50sn94mq5-module-import-com=
piled.drv
=C2=A0=C2=A0 /gnu/store/f0my46kkbsiqz33qlyx0gjr5z343rd7r-guix-packages-mod=
ules.drv
=C2=A0=C2=A0 /gnu/store/dr6snf6sj20ikym7m5x0hksyik430f90-guix-core-modules=
.drv
=C2=A0=C2=A0 /gnu/store/9m4yq9ahgsplbv7l3yj2jr496bcfgwqj-guix-extra-module=
s.drv
=C2=A0=C2=A0 /gnu/store/6sgvllsmahljhlcfavjj7924fg0jpkkh-guix-extra.drv
=C2=A0=C2=A0 /gnu/store/xi1gi30wsi8jkcvwsrvnbdkcqaczs3xr-guix-core.drv
=C2=A0=C2=A0 /gnu/store/whdd49n2bl86z6kmh72rkv320nnk4jhp-guix-core-source.=
drv
=C2=A0=C2=A0 /gnu/store/6nzxg8cswwqp2rs4xlwgriw2v3w4icyv-module-import-com=
piled.drv
=C2=A0=C2=A0 /gnu/store/jmd44dph9nad00pq1fzq5rbn82ba1q05-guix-packages.drv=

=C2=A0=C2=A0 /gnu/store/2g5kp3sh8mgy5xn8h4q72jqkcz7n8ddy-guix-packages-bas=
e.drv
=C2=A0=C2=A0 /gnu/store/kq16yx9hqyjn4ra2ld2nvj5gvvp70nhy-guix-config-sourc=
e.drv
=C2=A0=C2=A0 /gnu/store/hhvawn337dch9l6l6rckdhvs2ilgal91-guix-config.drv=

=C2=A0=C2=A0 /gnu/store/0xkxpag5p40pm5pw84ibh8hww7cii8kw-config.scm.drv
=C2=A0=C2=A0 /gnu/store/kvmmmgrdg1gmwbq8pm32piichfgxznqn-guix-system-tests=
.drv
=C2=A0=C2=A0 /gnu/store/zbaakpbhjl975hfa1j3slr68kiw3765p-guix-system.drv=

=C2=A0=C2=A0 /gnu/store/9ayhd6bzwpkidh14879i59xw3f6gfawi-guix-cli.drv
=C2=A0=C2=A0 /gnu/store/ihg030qqmxs7vb1gkggfv2ihhy9i97da-guix-module-union=
.drv
=C2=A0=C2=A0 /gnu/store/ar8457irv9g44x8sf4izlkjjhhfpwdgx-guix-locale-guix.=
drv
=C2=A0=C2=A0 /gnu/store/5q4am1q2l3xsqavp4jdbnfqhlsrl3an8-guix-locale-guix-=
packages.drv
=C2=A0=C2=A0 /gnu/store/z9mgfj87zpdw91g553xi32h1w7b7j4mw-module-import-com=
piled.drv
=C2=A0=C2=A0 /gnu/store/3jfqfg4c0wssq8lm2av8297dq3ry5kz8-guix-nonfree-wing=
o.drv
=C2=A0=C2=A0 /gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-profile.drv
The following graft will be made:
=C2=A0=C2=A0 /gnu/store/pz1bg55glariad6wcsn7ijnnxw7djdi3-graphviz-2.40.1.d=
rv
The following profile hooks will be built:
=C2=A0=C2=A0 /gnu/store/71ykizf5m0mq9awk9nlfaa8i0a1k6ycf-manual-database.d=
rv
=C2=A0=C2=A0 /gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv
=C2=A0=C2=A0 /gnu/store/rmfinlzdykwk2zb4d4jqggjlyhks0fxv-ca-certificate-bu=
ndle.drv
=C2=A0=C2=A0 /gnu/store/zng7c6a5q0v70yn1x4b5zmsbs3260440-fonts-dir.drv
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substituting /gnu/store/h54q3zlavg8igrqz67ia6lw76zdy8zvd-guix-manual...
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
downloading from https://ci.guix.info/nar/gzip/h54q3zlavg8igrqz67ia6lw76zd=
y8
zvd-guix-manual...
=C2=A0guix-manual=C2=A0 2.6MiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 388.4MiB/s 00:00 [#######=
###########] 
100.0%

substituting /gnu/store/blp6ifpnds5q3a4d2lqccwkp5qs6qr0r-config.scm...
downloading from https://ci.guix.info/nar/gzip/blp6ifpnds5q3a4d2lqccwkp5qs=
6
qr0r-config.scm...
=C2=A0config.scm=C2=A0 671B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 343KiB/s 00:00 [##################] 
100.0%

substituting /gnu/store/lr464ib0a3k0prnwzz4d57qk1avfwiyr-guix-config...
downloading from https://ci.guix.info/nar/gzip/lr464ib0a3k0prnwzz4d57qk1=

avfwiyr-guix-config...
=C2=A0guix-config=C2=A0 4KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 1=
.8MiB/s 00:00 [##################] 
100.0%

substituting /gnu/store/h106yak0z1shi5fzyq144dxdmjd0zpss-guix-config-
source...
downloading from https://ci.guix.info/nar/gzip/h106yak0z1shi5fzyq144dxdmjd=
0
zpss-guix-config-source...
=C2=A0guix-config-source=C2=A0 180B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 62KiB/s 00:00 [################=
##] 
100.0%

substituting /gnu/store/h95phrqzsnvixma7i8ci7kwn622w3n90-guix-core...
downloading from https://ci.guix.info/nar/gzip/h95phrqzsnvixma7i8ci7kwn622=
w3
n90-guix-core...
=C2=A0guix-core=C2=A0 1.7MiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 7=
69KiB/s 00:02 [##################] 
100.0%

substituting /gnu/store/hnfvhlmg7y6k9mjagxlk6bdx6a6rgx73-guix-config-
modules...
downloading from https://ci.guix.info/nar/gzip/hnfvhlmg7y6k9mjagxlk6bdx6a6=

rgx73-guix-config-modules...
=C2=A0guix-config-modules=C2=A0 270B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 122KiB/s 00:00 [##################] 
100.0%

substituting /gnu/store/hhzalnzks723jadhhi56kag8zpq2lqpz-guix-core-source.=
..
downloading from https://ci.guix.info/nar/gzip/hhzalnzks723jadhhi56kag8zpq=
2
lqpz-guix-core-source...
=C2=A0guix-core-source=C2=A0 2KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 803KiB/s 00:00 [#########=
#########] 
100.0%

substituting /gnu/store/slashh3xz7608b5r9hr9g003lqbbasnr-guix-extra...
downloading from https://ci.guix.info/nar/gzip/slashh3xz7608b5r9hr9g003
lqbbasnr-guix-extra...
=C2=A0guix-extra=C2=A0 2.2MiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 807KiB/=
s 00:03 [##################] 
100.0%

substituting /gnu/store/6ff7p6lzvykmhfj1a1a6l8bjmm146ca2-guix-core-
modules...
downloading from https://ci.guix.info/nar/gzip/6ff7p6lzvykmhfj1a1a6l8bjmm1=
46
ca2-guix-core-modules...
=C2=A0guix-core-modules=C2=A0 267B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 135KiB/s 00:00 [###############=
###] 
100.0%

substituting /gnu/store/y28a946pqkjr9l68paw7a1ajdd65yzwk-guix-extra-
modules...
downloading from https://ci.guix.info/nar/gzip/y28a946pqkjr9l68paw7a1ajdd6=
5
yzwk-guix-extra-modules...
=C2=A0guix-extra-modules=C2=A0 268B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 65KiB/s 00:00 [################=
##] 
100.0%

substituting /gnu/store/a3mdlq0919f9z541x661wd1wc69rwbhg-guix-locale-guix.=
..
downloading from https://ci.guix.info/nar/gzip/a3mdlq0919f9z541x661wd1wc69=

rwbhg-guix-locale-guix...
=C2=A0guix-locale-guix=C2=A0 184KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 552KiB/s 00:00 [##################] =

100.0%

substituting /gnu/store/rczg59vz1aw0fmvz23j5dfyigbnhb7ij-guix-locale-guix-=

packages...
downloading from https://ci.guix.info/nar/gzip/rczg59vz1aw0fmvz23j5dfyigbn=
hb
7ij-guix-locale-guix-packages...
=C2=A0guix-locale-guix-packages=C2=A0 142KiB=C2=A0=C2=A0=C2=A0 395KiB/s 00=
:00 [##################] 
100.0%

substituting /gnu/store/fi037bcbjna4v5jc4lak62y6nsrv5af4-guix-packages...=

downloading from https://ci.guix.info/nar/gzip/fi037bcbjna4v5jc4lak62y6nsr=
v5
af4-guix-packages...
=C2=A0guix-packages=C2=A0 6.0MiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 836KiB/s 00:07 [#########=
#########] 
100.0%

substituting /gnu/store/p16y33vqp0pnhd6i4a477f2h3fccg0r4-guix-packages-
base...
downloading from https://ci.guix.info/nar/gzip/p16y33vqp0pnhd6i4a477f2h3fc=
cg
0r4-guix-packages-base...
=C2=A0guix-packages-base=C2=A0 13.3MiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 941KiB/s 00:14 [##################] 
100.0%

substituting /gnu/store/gbmx14s06mvcgqmx156p7xif4gmgq2cz-guix-packages-
modules...
downloading from https://ci.guix.info/nar/gzip/gbmx14s06mvcgqmx156p7xif4gm=
gq
2cz-guix-packages-modules...
=C2=A0guix-packages-modules=C2=A0 270B=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 87KiB/s 00:00 [##################] 
100.0%

substituting /gnu/store/z44whzhr2yhmkdcj514iy2y3nqj9bcvs-guix-packages-bas=
e-
modules...
downloading from https://ci.guix.info/nar/gzip/z44whzhr2yhmkdcj514iy2y3nqj=
9
bcvs-guix-packages-base-modules...
=C2=A0guix-packages-base-modules=C2=A0 276B=C2=A0=C2=A0=C2=A0=C2=A0 132KiB=
/s 00:00 [##################] 
100.0%

substituting /gnu/store/7l35v4hrc21apkq3b030pg84nlc2s4nl-module-import-
compiled...
downloading from https://ci.guix.info/nar/gzip/7l35v4hrc21apkq3b030pg84nlc=
2s
4nl-module-import-compiled...
=C2=A0module-import-compiled=C2=A0 125KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 632KiB/s 00:00 [##################] 
100.0%

substituting /gnu/store/kyx4mx1n2ln0qx80j7y9c0gdczkb4xlb-module-import-
compiled...
downloading from https://ci.guix.info/nar/gzip/kyx4mx1n2ln0qx80j7y9c0gdczk=
b4
xlb-module-import-compiled...
=C2=A0module-import-compiled=C2=A0 9KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 3.9MiB/s 00:00 [##################] 
100.0%

substituting /gnu/store/syp239hi3xjgxdm8r4hvhhzh67i5ixgl-module-import-
compiled...
downloading from https://ci.guix.info/nar/gzip/syp239hi3xjgxdm8r4hvhhzh67i=
5
ixgl-module-import-compiled...
=C2=A0module-import-compiled=C2=A0 45KiB=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 1.0MiB/s 00:00 [##################] 
100.0%

building /gnu/store/zbaakpbhjl975hfa1j3slr68kiw3765p-guix-system.drv...
[136/136] compiling...=C2=A0=C2=A0=C2=A0 100.0% of 68 files
successfully built /gnu/store/zbaakpbhjl975hfa1j3slr68kiw3765p-guix-system=
.
drv
building /gnu/store/9ayhd6bzwpkidh14879i59xw3f6gfawi-guix-cli.drv...
[ 92/ 92] compiling...=C2=A0=C2=A0=C2=A0 100.0% of 46 files
successfully built /gnu/store/9ayhd6bzwpkidh14879i59xw3f6gfawi-guix-cli.dr=
v
building /gnu/store/r4d37lb61g40kdvapvccblsji4vfg77g-guix-system-modules.=

drv...
successfully built /gnu/store/r4d37lb61g40kdvapvccblsji4vfg77g-guix-system=
-
modules.drv
building /gnu/store/xac0q5sr622rqbiv9fjaya8cf4v7nm4q-guix-cli-modules.drv.=
..
successfully built /gnu/store/xac0q5sr622rqbiv9fjaya8cf4v7nm4q-guix-cli-=

modules.drv
building /gnu/store/kvmmmgrdg1gmwbq8pm32piichfgxznqn-guix-system-tests.
drv...
[=C2=A0 5/ 38] loading...=C2=A0=C2=A0=C2=A0 =C2=A026.3% of 19 filesrandom =
seed for tests: 1555236667
[ 38/ 38] compiling...=C2=A0=C2=A0=C2=A0 100.0% of 19 files
successfully built /gnu/store/kvmmmgrdg1gmwbq8pm32piichfgxznqn-guix-system=
-
tests.drv
building /gnu/store/h1bcaa585wbmvdy5g7bf094xp1f1apk9-guix-system-tests-
modules.drv...
successfully built /gnu/store/h1bcaa585wbmvdy5g7bf094xp1f1apk9-guix-system=
-
tests-modules.drv
building /gnu/store/2yskwsnr04yxlc82sdzb6gp63zainm5j-guix-cabe8f184-module=
s.
drv...
successfully built /gnu/store/2yskwsnr04yxlc82sdzb6gp63zainm5j-guix-cabe8f=

184-modules.drv
building /gnu/store/ihg030qqmxs7vb1gkggfv2ihhy9i97da-guix-module-union.
drv...
successfully built /gnu/store/ihg030qqmxs7vb1gkggfv2ihhy9i97da-guix-module=
-
union.drv
building /gnu/store/sp360c1ryx21vkk5zysv02a0p39fg273-guix-command.drv...=

successfully built /gnu/store/sp360c1ryx21vkk5zysv02a0p39fg273-guix-comman=
d.
drv
building /gnu/store/zs7nr84r1wkgx5adcagbr1vj81pg5fhh-guix-daemon.drv...
successfully built /gnu/store/zs7nr84r1wkgx5adcagbr1vj81pg5fhh-guix-daemon=
.
drv
building /gnu/store/4zisbw8kkagrscibxn2kp75pryyy9dqa-guix-cabe8f184.drv...=

successfully built /gnu/store/4zisbw8kkagrscibxn2kp75pryyy9dqa-guix-cabe8f=

184.drv
building /gnu/store/3jfqfg4c0wssq8lm2av8297dq3ry5kz8-guix-nonfree-wingo.=

drv...
[ 1/ 1] Compiling './gnu/packages/linux-nonfree.scm'...
successfully built /gnu/store/3jfqfg4c0wssq8lm2av8297dq3ry5kz8-guix-nonfre=
e-
wingo.drv
building /gnu/store/z9mgfj87zpdw91g553xi32h1w7b7j4mw-module-import-compile=
d.
drv...
[ 1/ 1] Compiling './guix/build/utils.scm'...
successfully built /gnu/store/z9mgfj87zpdw91g553xi32h1w7b7j4mw-module-impo=
rt
-compiled.drv
building /gnu/store/mgrfbhnjkib39zq20f560jxvni0aflc2-guix-nonfree-wingo.=

drv...
successfully built /gnu/store/mgrfbhnjkib39zq20f560jxvni0aflc2-guix-nonfre=
e-
wingo.drv
building CA certificate bundle...
successfully built /gnu/store/rmfinlzdykwk2zb4d4jqggjlyhks0fxv-ca-
certificate-bundle.drv
building fonts directory...
successfully built /gnu/store/zng7c6a5q0v70yn1x4b5zmsbs3260440-fonts-dir.d=
rv
building directory of Info manuals...
Backtrace:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 10 (primitive-load =
"/gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?")
In ice-9/eval.scm:
=C2=A0=C2=A0 721:20=C2=A0 9 (primitive-eval (begin (use-modules (guix buil=
d #) ?) ?))
In ice-9/psyntax.scm:
=C2=A0 1235:36=C2=A0 8 (expand-top-sequence ((begin (use-modules (# # ?) ?=
) ?)) ?)
=C2=A0 1182:24=C2=A0 7 (parse _ (("placeholder" placeholder)) ((top) #(# #=
 ?)) ?)
=C2=A0 1182:24=C2=A0 6 (parse _ (("placeholder" placeholder)) ((top) #(# #=
 ?)) ?)
=C2=A0=C2=A0 285:10=C2=A0 5 (parse _ (("placeholder" placeholder)) (()) _ =
c&e (eval) ?)
In ice-9/boot-9.scm:
=C2=A0 3377:20=C2=A0 4 (process-use-modules _)
=C2=A0=C2=A0 222:17=C2=A0 3 (map1 (((guix build utils)) ((srfi srfi-1)) ((=
srfi ?)) ?))
=C2=A0 3378:31=C2=A0 2 (_ ((guix build utils)))
=C2=A0=C2=A0 2803:6=C2=A0 1 (resolve-interface _ #:select _ #:hide _ #:pre=
fix _ # _ ?)
In unknown file:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 0 (scm-error =
misc-error #f "~A ~S" ("no code for modu?" ?) ?)

ERROR: In procedure scm-error:
no code for module (guix build utils)
builder for `/gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv' 
failed with exit code 1
build of /gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv failed=

View build log at '/var/log/guix/drvs/21/dpv46d3bqxivs7mq0jqic6d5hdjmph-in=
fo
-dir.drv.bz2'.
cannot build derivation `/gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-
profile.drv': 1 dependencies couldn't be built
guix pull: error: build failed: build of `/gnu/store/1108wbnyinkgpndfrbs62=
ry
42xsrh69z-profile.drv' failed
root@yoga-guix /home/timothy/config/guix# guix system reconfigure config.s=
cm

guix system: warning: Your Guix installation is 27 days old.
guix system: warning: Consider running 'guix pull' followed by
'guix system reconfigure' to get up-to-date packages and security updates.=


substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
The following derivations will be built:
=C2=A0=C2=A0 /gnu/store/3jkq4vaah10y2j0lvf17cb2cn2krplbz-boot.drv
=C2=A0=C2=A0 /gnu/store/jdp3xs6r77cbhpg114k2q9ss3j31vhin-shepherd.conf.drv=

=C2=A0=C2=A0 /gnu/store/07a6r0b2rr8ikjcf0h55zhvbyv37if7d-shepherd-xorg-ser=
ver.scm.drv
=C2=A0=C2=A0 /gnu/store/2a3104fxa3hvmfm4syisc2qqlikkqhlj-slim.cfg.drv
=C2=A0=C2=A0 /gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mvi8-startx.drv
=C2=A0=C2=A0 /gnu/store/6hf4bdrzad3g22wsk86784s315zf9bd0-profile.drv
=C2=A0=C2=A0 /gnu/store/xhlgdwg6q4qmim13k0yak1jpmjpk5c35-grub.cfg.drv
=C2=A0=C2=A0 /gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-system.drv
The following profile hooks will be built:
=C2=A0=C2=A0 /gnu/store/47j444pc8p124kry7fy2bz5bsssbxh4f-manual-database.d=
rv
=C2=A0=C2=A0 /gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv
=C2=A0=C2=A0 /gnu/store/jk70lskj0v8bqfb76qyhr0wk3qwsy9w3-xdg-mime-database=
.drv
=C2=A0=C2=A0 /gnu/store/ypvrn8ymv0xnppy34jg8kqrppkdwbddz-xdg-desktop-datab=
ase.drv
building directory of Info manuals...
builder for `/gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv' 
failed with exit code 1
build of /gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv failed=

View build log at '/var/log/guix/drvs/5z/ih3px96j4fllllcyngp95sq8211d6f-in=
fo
-dir.drv.bz2'.
cannot build derivation `/gnu/store/6hf4bdrzad3g22wsk86784s315zf9bd0-
profile.drv': 1 dependencies couldn't be built
building /gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mvi8-startx.drv...
cannot build derivation `/gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-syste=
m.
drv': 1 dependencies couldn't be built
guix system: error: build failed: build of `/gnu/store/pwd9mfvijn0b83n2
rxmfkdmfqc1qxspr-system.drv' failed
root@yoga-guix /home/timothy/config/guix# guix pull
Updating channel 'guix-nonfree-wingo' from Git repository at 'https://
github.com/wingo/guix-nonfree.git'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.=

org/git/guix.git'...
Building from these channels:
=C2=A0 guix=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 https://git.savannah.gnu.org/git=
/guix.git=C2=A0=C2=A0=C2=A0 cabe8f1
=C2=A0 guix-nonfree-wingohttps://github.com/wingo/guix-nonfree.git=C2=A0=
=C2=A0=C2=A0 455d9dd
Computing Guix derivation for 'x86_64-linux'... /
The following derivation will be built:
=C2=A0=C2=A0 /gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-profile.drv
The following profile hooks will be built:
=C2=A0=C2=A0 /gnu/store/71ykizf5m0mq9awk9nlfaa8i0a1k6ycf-manual-database.d=
rv
=C2=A0=C2=A0 /gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv
building directory of Info manuals...
Backtrace:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 10 (primitive-load =
"/gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?")
In ice-9/eval.scm:
=C2=A0=C2=A0 721:20=C2=A0 9 (primitive-eval (begin (use-modules (guix buil=
d #) ?) ?))
In ice-9/psyntax.scm:
=C2=A0 1235:36=C2=A0 8 (expand-top-sequence ((begin (use-modules (# # ?) ?=
) ?)) ?)
=C2=A0 1182:24=C2=A0 7 (parse _ (("placeholder" placeholder)) ((top) #(# #=
 ?)) ?)
=C2=A0 1182:24=C2=A0 6 (parse _ (("placeholder" placeholder)) ((top) #(# #=
 ?)) ?)
=C2=A0=C2=A0 285:10=C2=A0 5 (parse _ (("placeholder" placeholder)) (()) _ =
c&e (eval) ?)
In ice-9/boot-9.scm:
=C2=A0 3377:20=C2=A0 4 (process-use-modules _)
=C2=A0=C2=A0 222:17=C2=A0 3 (map1 (((guix build utils)) ((srfi srfi-1)) ((=
srfi ?)) ?))
=C2=A0 3378:31=C2=A0 2 (_ ((guix build utils)))
=C2=A0=C2=A0 2803:6=C2=A0 1 (resolve-interface _ #:select _ #:hide _ #:pre=
fix _ # _ ?)
In unknown file:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 0 (scm-error =
misc-error #f "~A ~S" ("no code for modu?" ?) ?)

ERROR: In procedure scm-error:
no code for module (guix build utils)
builder for `/gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv' 
failed with exit code 1
build of /gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv failed=

View build log at '/var/log/guix/drvs/21/dpv46d3bqxivs7mq0jqic6d5hdjmph-in=
fo
-dir.drv.bz2'.
cannot build derivation `/gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-
profile.drv': 1 dependencies couldn't be built
guix pull: error: build failed: build of `/gnu/store/1108wbnyinkgpndfrbs62=
ry
42xsrh69z-profile.drv' failed





When I run guix system reconfigure I get a similar error:




# cat config.scm

(use-modules (gnu) (gnu system nss) (guix download) (guix packages));(gnu =

services docker))
(use-service-modules desktop)
(use-package-modules certs gnome)

(define %trezor-udev-rule
=C2=A0 (file->udev-rule
=C2=A0=C2=A0=C2=A0 "51-android-udev.rules"
=C2=A0=C2=A0=C2=A0 (let ((version "dddc6289742f6e0cb7f8feec13dbabe199111dc=
1"))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (origin
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (method url-fetch)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (uri (string-append "https://raw.gith=
ubusercontent.com/trezor/trezor-
common/"
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 version "/udev/51-trezor.rules"))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (sha256 (base32 "06yqq3ydakigfv1mjl4h=
jzy3q5k6j4l9ly4n3ahx6h5rc8jy7bf
8"))))))

(operating-system
=C2=A0 (host-name "yoga-guix")
=C2=A0 (timezone "Europe/Prague")
=C2=A0 (locale "en_US.utf8")
=C2=A0 ;(kernel linux-nonfree)
=C2=A0 ;(firmware (append (list
=C2=A0 ;=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 iwlwifi-firmware-nonfree)
=C2=A0 ;=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 %base-firmware))

=C2=A0 ;; Use the UEFI variant of GRUB with the EFI System
=C2=A0 ;; Partition mounted on /boot/efi.
=C2=A0 (bootloader (bootloader-configuration
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (bootloader grub-efi-bootloader)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (target "/boot/efi")))

=C2=A0 ;; Specify a mapped device for the encrypted root partition.
=C2=A0 ;; The UUID is that returned by 'cryptsetup luksUUID'.
=C2=A0 (mapped-devices
=C2=A0=C2=A0 (list (mapped-device
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (source (uuid "b362=
55d2-ecc5-428f-87c3-cca2a7e59b25"))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (target "my-root")=

=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (type luks-device-m=
apping))))

=C2=A0 (file-systems (cons (file-system
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (device=
 (file-system-label "my-root"))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (mount-=
point "/")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (type "=
ext4")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (depend=
encies mapped-devices))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (cons (file-system=

=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (device=
 "/dev/sda1")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (mount-=
point "/boot/efi")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (type "=
vfat")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (depend=
encies mapped-devices))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 %base-file-systems)=
))

=C2=A0 (users (cons (user-account
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (name "timothy")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (comment "Main account")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (group "users")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (supplementary-groups '("wheel" "netdev"
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 "audio" "video")
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 ); "docker"))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 (home-directory "/home/timothy"))
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 %base-user-accounts))

=C2=A0 ;; This is where we specify system-wide packages.
=C2=A0 (packages (cons* nss-certs=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 ;for HTTPS access
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 gvfs=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;for user mounts
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 %base-packages))

=C2=A0 ;; Add GNOME and/or Xfce---we can choose at the log-in
=C2=A0 ;; screen with F1.=C2=A0 Use the "desktop" services, which
=C2=A0 ;; include the X11 log-in service, networking with
=C2=A0 ;; NetworkManager, and more.
=C2=A0 (services (cons* (xfce-desktop-service)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;(service docker-service-type)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (modify-services %desktop-services
=C2=A0=C2=A0 (udev-service-type config =3D>
=C2=A0=C2=A0=C2=A0=C2=A0 (udev-configuration (inherit config)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (rules (append (udev-configuration-rules co=
nfig)
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (list %trezor-udev-rule))=
))))))

=C2=A0 ;; Allow resolution of '.local' host names with mDNS.
=C2=A0 (name-service-switch %mdns-host-lookup-nss))



# guix system reconfigure config.scm 
guix system: warning: Your Guix installation is 27 days old.
guix system: warning: Consider running 'guix pull' followed by
'guix system reconfigure' to get up-to-date packages and security updates.=


The following derivations will be built:
=C2=A0=C2=A0 /gnu/store/3jkq4vaah10y2j0lvf17cb2cn2krplbz-boot.drv
=C2=A0=C2=A0 /gnu/store/jdp3xs6r77cbhpg114k2q9ss3j31vhin-shepherd.conf.drv=

=C2=A0=C2=A0 /gnu/store/07a6r0b2rr8ikjcf0h55zhvbyv37if7d-shepherd-xorg-ser=
ver.scm.drv
=C2=A0=C2=A0 /gnu/store/2a3104fxa3hvmfm4syisc2qqlikkqhlj-slim.cfg.drv
=C2=A0=C2=A0 /gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mvi8-startx.drv
=C2=A0=C2=A0 /gnu/store/6hf4bdrzad3g22wsk86784s315zf9bd0-profile.drv
=C2=A0=C2=A0 /gnu/store/xhlgdwg6q4qmim13k0yak1jpmjpk5c35-grub.cfg.drv
=C2=A0=C2=A0 /gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-system.drv
The following profile hooks will be built:
=C2=A0=C2=A0 /gnu/store/47j444pc8p124kry7fy2bz5bsssbxh4f-manual-database.d=
rv
=C2=A0=C2=A0 /gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv
=C2=A0=C2=A0 /gnu/store/jk70lskj0v8bqfb76qyhr0wk3qwsy9w3-xdg-mime-database=
.drv
=C2=A0=C2=A0 /gnu/store/ypvrn8ymv0xnppy34jg8kqrppkdwbddz-xdg-desktop-datab=
ase.drv
building directory of Info manuals...
builder for `/gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv' 
failed with exit code 1
build of /gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv failed=

View build log at '/var/log/guix/drvs/5z/ih3px96j4fllllcyngp95sq8211d6f-in=
fo
-dir.drv.bz2'.
cannot build derivation `/gnu/store/6hf4bdrzad3g22wsk86784s315zf9bd0-
profile.drv': 1 dependencies couldn't be built
building /gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mvi8-startx.drv...
cannot build derivation `/gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-syste=
m.
drv': 1 dependencies couldn't be built
guix system: error: build failed: build of `/gnu/store/pwd9mfvijn0b83n2
rxmfkdmfqc1qxspr-system.drv' failed





Interestingly, I can apparently still install packages as a normal user. =

"guix package -i vim" still works.




$ guix package -i vim
guix package: warning: Your Guix installation is 28 days old.
guix package: warning: Consider running 'guix pull' followed by
'guix package -u' to get up-to-date packages and security updates.

The following package will be upgraded:
=C2=A0=C2=A0 vim=C2=A0=C2=A0=C2=A0 8.1.0644 =E2=86=92 8.1.0644=C2=A0=C2=A0=
=C2=A0 /gnu/store/xpmgf3qa7ygz89829275qv3af5l0m790
-vim-8.1.0644

substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
The following derivation will be built:
=C2=A0=C2=A0 /gnu/store/9r6wv1z2bv4qvixbpbx00ivabbag1w71-profile.drv
The following profile hooks will be built:
=C2=A0=C2=A0 /gnu/store/9nigd5asmabi8fy3hnxmip7flx5spwn2-manual-database.d=
rv
=C2=A0=C2=A0 /gnu/store/4l73z6bkk92cm2igv276bvl4fzjs7n7i-xdg-mime-database=
.drv
=C2=A0=C2=A0 /gnu/store/9y5lq4ygxiv30mbcjwvmpcc6qdv6d40x-gtk-im-modules.dr=
v
=C2=A0=C2=A0 /gnu/store/aw9q4nra3h7kk2dp925rjvlmz8143xpk-fonts-dir.drv
=C2=A0=C2=A0 /gnu/store/ipql4jmlhazxx1vzwbhgw5sp37y22py7-ghc-package-cache=
.drv
=C2=A0=C2=A0 /gnu/store/j2qc11mc9adwks7zs5drfqwrckdhg05d-ca-certificate-bu=
ndle.drv
=C2=A0=C2=A0 /gnu/store/p554ffq3lriv78gjnxy2jibnh7qxrnc2-info-dir.drv
=C2=A0=C2=A0 /gnu/store/r08v8pcvxp3kij62f578a68fj8487sbk-xdg-desktop-datab=
ase.drv
=C2=A0=C2=A0 /gnu/store/xpf1m7a7pwaaf8sc117b7kb6scjvkpdk-glib-schemas.drv=

=C2=A0=C2=A0 /gnu/store/zgjqrs8i7q3j6l9y2d959yac4m7515mq-gtk-icon-themes.d=
rv
building CA certificate bundle...
building fonts directory...
building GHC package cache...
generating GLib schema cache...
creating GTK+ icon theme cache...
building cache files for GTK+ input methods...
building directory of Info manuals...
building database for manual pages...
building XDG desktop file cache...
building XDG MIME database...
building /gnu/store/9r6wv1z2bv4qvixbpbx00ivabbag1w71-profile.drv...
89 packages in profile






--=_0e43e6256f20f59c4f237e68=6d83d4e6-835c-5f71-a59e-308637d33d66_=
Content-Type: text/html;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><body><div>Hello,</div><div><br></div><div>I'm running guixSD and I =
seem to have broken the guix command as root (it works as a normal user). =
How can I fix it? When I run 'guix pull' I get the following output:</div>=
<div><br></div><div># guix pull<br>Updating channel 'guix-nonfree-wingo' f=
rom Git repository at 'https://github.com/wingo/guix-nonfree.git'...<br>Up=
dating channel 'guix' from Git repository at 'https://git.savannah.gnu.org=
/git/guix.git'...<br>Building from these channels:<br>&nbsp; guix&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp; https://git.savannah.gnu.org/git/guix.git&nbsp;&nbsp=
;&nbsp; 6b11da7<br>&nbsp; guix-nonfree-wingohttps://github.com/wingo/guix-=
nonfree.git&nbsp;&nbsp;&nbsp; 455d9dd<br>Computing Guix derivation for 'x8=
6_64-linux'... /<br>The following derivation will be built:<br>&nbsp;&nbsp=
; /gnu/store/crqzz377hiw10xdnwbd85sh3qsc7743z-profile.drv<br>The following=
 profile hooks will be built:<br>&nbsp;&nbsp; /gnu/store/bq8gbnk94a2caf1aa=
ljsqnkmi465wqcy-manual-database.drv<br>&nbsp;&nbsp; /gnu/store/7rcx6mhlr2v=
p593kw5w729k8hp7qsd7k-info-dir.drv<br>building directory of Info manuals..=
.<br>Backtrace:<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
10 (primitive-load "/gnu/store/22way7ahrxy50splj6qkg0qkifw?")<br>In ice-9/=
eval.scm:<br>&nbsp;&nbsp; 721:20&nbsp; 9 (primitive-eval (begin (use-modul=
es (guix build #) ?) ?))<br>In ice-9/psyntax.scm:<br>&nbsp; 1235:36&nbsp; =
8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)<br>&nbsp; 11=
82:24&nbsp; 7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)<b=
r>&nbsp; 1182:24&nbsp; 6 (parse _ (("placeholder" placeholder)) ((top) #(#=
 # ?)) ?)<br>&nbsp;&nbsp; 285:10&nbsp; 5 (parse _ (("placeholder" placehol=
der)) (()) _ c&amp;e (eval) ?)<br>In ice-9/boot-9.scm:<br>&nbsp; 3377:20&n=
bsp; 4 (process-use-modules _)<br>&nbsp;&nbsp; 222:17&nbsp; 3 (map1 (((gui=
x build utils)) ((srfi srfi-1)) ((srfi ?)) ?))<br>&nbsp; 3378:31&nbsp; 2 (=
_ ((guix build utils)))<br>&nbsp;&nbsp; 2803:6&nbsp; 1 (resolve-interface =
_ #:select _ #:hide _ #:prefix _ # _ ?)<br>In unknown file:<br>&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0 (scm-error misc-error =
#f "~A ~S" ("no code for modu?" ?) ?)<br><br>ERROR: In procedure scm-error=
:<br>no code for module (guix build utils)<br>builder for `/gnu/store/7rcx=
6mhlr2vp593kw5w729k8hp7qsd7k-info-dir.drv' failed with exit code 1<br>buil=
d of /gnu/store/7rcx6mhlr2vp593kw5w729k8hp7qsd7k-info-dir.drv failed<br>Vi=
ew build log at '/var/log/guix/drvs/7r/cx6mhlr2vp593kw5w729k8hp7qsd7k-info=
-dir.drv.bz2'.<br>cannot build derivation `/gnu/store/crqzz377hiw10xdnwbd8=
5sh3qsc7743z-profile.drv': 1 dependencies couldn't be built<br>guix pull: =
error: build failed: build of `/gnu/store/crqzz377hiw10xdnwbd85sh3qsc7743z=
-profile.drv' failed<br>root@yoga-guix /home/timothy/config/guix# guix pul=
l<br>Updating channel 'guix-nonfree-wingo' from Git repository at 'https:/=
/github.com/wingo/guix-nonfree.git'...<br>Updating channel 'guix' from Git=
 repository at 'https://git.savannah.gnu.org/git/guix.git'...<br>Building =
from these channels:<br>&nbsp; guix&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; https://=
git.savannah.gnu.org/git/guix.git&nbsp;&nbsp;&nbsp; cabe8f1<br>&nbsp; guix=
-nonfree-wingohttps://github.com/wingo/guix-nonfree.git&nbsp;&nbsp;&nbsp; =
455d9dd<br>substitute: updating substitutes from 'https://ci.guix.info'...=
 100.0%<br>1.8 MB will be downloaded:<br>&nbsp;&nbsp; /gnu/store/adbpzqi72=
5y9ywgsvbnqmj2kjap0853k-compute-guix-derivation<br>&nbsp;&nbsp; /gnu/store=
/bq71g8vg22pc0vx6asyfcnckxqxsg7z7-module-import<br>&nbsp;&nbsp; /gnu/store=
/j1k664ldcwbyg23dkz8icvc0bm2gb5c8-module-import-compiled<br>substituting /=
gnu/store/bq71g8vg22pc0vx6asyfcnckxqxsg7z7-module-import...<br>downloading=
 from https://ci.guix.info/nar/gzip/bq71g8vg22pc0vx6asyfcnckxqxsg7z7-modul=
e-import...<br>&nbsp;module-import&nbsp; 2KiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
796KiB/s 00:00 [##################] 100.0%<br><br>substituting /gnu/store/=
j1k664ldcwbyg23dkz8icvc0bm2gb5c8-module-import-compiled...<br>downloading =
from https://ci.guix.info/nar/gzip/j1k664ldcwbyg23dkz8icvc0bm2gb5c8-module=
-import-compiled...<br>&nbsp;module-import-compiled&nbsp; 1.7MiB&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp; 802KiB/s 00:02 [##################] 100.0%<br><=
br>substituting /gnu/store/adbpzqi725y9ywgsvbnqmj2kjap0853k-compute-guix-d=
erivation...<br>downloading from https://ci.guix.info/nar/gzip/adbpzqi725y=
9ywgsvbnqmj2kjap0853k-compute-guix-derivation...<br>&nbsp;compute-guix-der=
ivation&nbsp; 856B&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 387KiB/s 00:0=
0 [##################] 100.0%<br><br>Computing Guix derivation for 'x86_64=
-linux'... -<br>The following derivations will be built:<br>&nbsp;&nbsp; /=
gnu/store/mgrfbhnjkib39zq20f560jxvni0aflc2-guix-nonfree-wingo.drv<br>&nbsp=
;&nbsp; /gnu/store/4zisbw8kkagrscibxn2kp75pryyy9dqa-guix-cabe8f184.drv<br>=
&nbsp;&nbsp; /gnu/store/zs7nr84r1wkgx5adcagbr1vj81pg5fhh-guix-daemon.drv<b=
r>&nbsp;&nbsp; /gnu/store/v4na6dadh9jk0wpfpwnk28sl2g040v1s-guix-manual.drv=
<br>&nbsp;&nbsp; /gnu/store/sp360c1ryx21vkk5zysv02a0p39fg273-guix-command.=
drv<br>&nbsp;&nbsp; /gnu/store/hlblpwxwv84zcxkhy6nq2cc7bf1vxc1q-module-imp=
ort-compiled.drv<br>&nbsp;&nbsp; /gnu/store/2yskwsnr04yxlc82sdzb6gp63zainm=
5j-guix-cabe8f184-modules.drv<br>&nbsp;&nbsp; /gnu/store/xac0q5sr622rqbiv9=
fjaya8cf4v7nm4q-guix-cli-modules.drv<br>&nbsp;&nbsp; /gnu/store/r4d37lb61g=
40kdvapvccblsji4vfg77g-guix-system-modules.drv<br>&nbsp;&nbsp; /gnu/store/=
n3lzz7mm8miw06bpi3fm4hgr5x0irz3w-guix-packages-base-modules.drv<br>&nbsp;&=
nbsp; /gnu/store/h1bcaa585wbmvdy5g7bf094xp1f1apk9-guix-system-tests-module=
s.drv<br>&nbsp;&nbsp; /gnu/store/h00701smf7rjcia172sr41nyfrvhic8k-guix-con=
fig-modules.drv<br>&nbsp;&nbsp; /gnu/store/gbbilcxgw31w2l63ki5m2xs50sn94mq=
5-module-import-compiled.drv<br>&nbsp;&nbsp; /gnu/store/f0my46kkbsiqz33qly=
x0gjr5z343rd7r-guix-packages-modules.drv<br>&nbsp;&nbsp; /gnu/store/dr6snf=
6sj20ikym7m5x0hksyik430f90-guix-core-modules.drv<br>&nbsp;&nbsp; /gnu/stor=
e/9m4yq9ahgsplbv7l3yj2jr496bcfgwqj-guix-extra-modules.drv<br>&nbsp;&nbsp; =
/gnu/store/6sgvllsmahljhlcfavjj7924fg0jpkkh-guix-extra.drv<br>&nbsp;&nbsp;=
 /gnu/store/xi1gi30wsi8jkcvwsrvnbdkcqaczs3xr-guix-core.drv<br>&nbsp;&nbsp;=
 /gnu/store/whdd49n2bl86z6kmh72rkv320nnk4jhp-guix-core-source.drv<br>&nbsp=
;&nbsp; /gnu/store/6nzxg8cswwqp2rs4xlwgriw2v3w4icyv-module-import-compiled=
.drv<br>&nbsp;&nbsp; /gnu/store/jmd44dph9nad00pq1fzq5rbn82ba1q05-guix-pack=
ages.drv<br>&nbsp;&nbsp; /gnu/store/2g5kp3sh8mgy5xn8h4q72jqkcz7n8ddy-guix-=
packages-base.drv<br>&nbsp;&nbsp; /gnu/store/kq16yx9hqyjn4ra2ld2nvj5gvvp70=
nhy-guix-config-source.drv<br>&nbsp;&nbsp; /gnu/store/hhvawn337dch9l6l6rck=
dhvs2ilgal91-guix-config.drv<br>&nbsp;&nbsp; /gnu/store/0xkxpag5p40pm5pw84=
ibh8hww7cii8kw-config.scm.drv<br>&nbsp;&nbsp; /gnu/store/kvmmmgrdg1gmwbq8p=
m32piichfgxznqn-guix-system-tests.drv<br>&nbsp;&nbsp; /gnu/store/zbaakpbhj=
l975hfa1j3slr68kiw3765p-guix-system.drv<br>&nbsp;&nbsp; /gnu/store/9ayhd6b=
zwpkidh14879i59xw3f6gfawi-guix-cli.drv<br>&nbsp;&nbsp; /gnu/store/ihg030qq=
mxs7vb1gkggfv2ihhy9i97da-guix-module-union.drv<br>&nbsp;&nbsp; /gnu/store/=
ar8457irv9g44x8sf4izlkjjhhfpwdgx-guix-locale-guix.drv<br>&nbsp;&nbsp; /gnu=
/store/5q4am1q2l3xsqavp4jdbnfqhlsrl3an8-guix-locale-guix-packages.drv<br>&=
nbsp;&nbsp; /gnu/store/z9mgfj87zpdw91g553xi32h1w7b7j4mw-module-import-comp=
iled.drv<br>&nbsp;&nbsp; /gnu/store/3jfqfg4c0wssq8lm2av8297dq3ry5kz8-guix-=
nonfree-wingo.drv<br>&nbsp;&nbsp; /gnu/store/1108wbnyinkgpndfrbs62ry42xsrh=
69z-profile.drv<br>The following graft will be made:<br>&nbsp;&nbsp; /gnu/=
store/pz1bg55glariad6wcsn7ijnnxw7djdi3-graphviz-2.40.1.drv<br>The followin=
g profile hooks will be built:<br>&nbsp;&nbsp; /gnu/store/71ykizf5m0mq9awk=
9nlfaa8i0a1k6ycf-manual-database.drv<br>&nbsp;&nbsp; /gnu/store/21dpv46d3b=
qxivs7mq0jqic6d5hdjmph-info-dir.drv<br>&nbsp;&nbsp; /gnu/store/rmfinlzdykw=
k2zb4d4jqggjlyhks0fxv-ca-certificate-bundle.drv<br>&nbsp;&nbsp; /gnu/store=
/zng7c6a5q0v70yn1x4b5zmsbs3260440-fonts-dir.drv<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating su=
bstitutes from 'https://ci.guix.info'... 100.0%<br>substituting /gnu/store=
/h54q3zlavg8igrqz67ia6lw76zdy8zvd-guix-manual...<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>substitute: updating s=
ubstitutes from 'https://ci.guix.info'... 100.0%<br>downloading from https=
://ci.guix.info/nar/gzip/h54q3zlavg8igrqz67ia6lw76zdy8zvd-guix-manual...<b=
r>&nbsp;guix-manual&nbsp; 2.6MiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 388.4MiB/s 00:00 [#######=
###########] 100.0%<br><br>substituting /gnu/store/blp6ifpnds5q3a4d2lqccwk=
p5qs6qr0r-config.scm...<br>downloading from https://ci.guix.info/nar/gzip/=
blp6ifpnds5q3a4d2lqccwkp5qs6qr0r-config.scm...<br>&nbsp;config.scm&nbsp; 6=
71B&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 343KiB/s 00:00 [########=
##########] 100.0%<br><br>substituting /gnu/store/lr464ib0a3k0prnwzz4d57qk=
1avfwiyr-guix-config...<br>downloading from https://ci.guix.info/nar/gzip/=
lr464ib0a3k0prnwzz4d57qk1avfwiyr-guix-config...<br>&nbsp;guix-config&nbsp;=
 4KiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.8MiB/s 00:00 [############=
######] 100.0%<br><br>substituting /gnu/store/h106yak0z1shi5fzyq144dxdmjd0=
zpss-guix-config-source...<br>downloading from https://ci.guix.info/nar/gz=
ip/h106yak0z1shi5fzyq144dxdmjd0zpss-guix-config-source...<br>&nbsp;guix-co=
nfig-source&nbsp; 180B&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp; 62KiB/s 00:00 [##################] 100.0%<br><b=
r>substituting /gnu/store/h95phrqzsnvixma7i8ci7kwn622w3n90-guix-core...<br=
>downloading from https://ci.guix.info/nar/gzip/h95phrqzsnvixma7i8ci7kwn62=
2w3n90-guix-core...<br>&nbsp;guix-core&nbsp; 1.7MiB&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp; 769KiB/s 00:02 [##################] 100.0%<br><br>substi=
tuting /gnu/store/hnfvhlmg7y6k9mjagxlk6bdx6a6rgx73-guix-config-modules...<=
br>downloading from https://ci.guix.info/nar/gzip/hnfvhlmg7y6k9mjagxlk6bdx=
6a6rgx73-guix-config-modules...<br>&nbsp;guix-config-modules&nbsp; 270B&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 122KiB/s 0=
0:00 [##################] 100.0%<br><br>substituting /gnu/store/hhzalnzks7=
23jadhhi56kag8zpq2lqpz-guix-core-source...<br>downloading from https://ci.=
guix.info/nar/gzip/hhzalnzks723jadhhi56kag8zpq2lqpz-guix-core-source...<br=
>&nbsp;guix-core-source&nbsp; 2KiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 803KiB/s 00:00 [#############=
#####] 100.0%<br><br>substituting /gnu/store/slashh3xz7608b5r9hr9g003lqbba=
snr-guix-extra...<br>downloading from https://ci.guix.info/nar/gzip/slashh=
3xz7608b5r9hr9g003lqbbasnr-guix-extra...<br>&nbsp;guix-extra&nbsp; 2.2MiB&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 807KiB/s 00:03 [##################] 100.=
0%<br><br>substituting /gnu/store/6ff7p6lzvykmhfj1a1a6l8bjmm146ca2-guix-co=
re-modules...<br>downloading from https://ci.guix.info/nar/gzip/6ff7p6lzvy=
kmhfj1a1a6l8bjmm146ca2-guix-core-modules...<br>&nbsp;guix-core-modules&nbs=
p; 267B&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp; 135KiB/s 00:00 [##################] 100.0%<br><br>substituting=
 /gnu/store/y28a946pqkjr9l68paw7a1ajdd65yzwk-guix-extra-modules...<br>down=
loading from https://ci.guix.info/nar/gzip/y28a946pqkjr9l68paw7a1ajdd65yzw=
k-guix-extra-modules...<br>&nbsp;guix-extra-modules&nbsp; 268B&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 65KiB/s=
 00:00 [##################] 100.0%<br><br>substituting /gnu/store/a3mdlq09=
19f9z541x661wd1wc69rwbhg-guix-locale-guix...<br>downloading from https://c=
i.guix.info/nar/gzip/a3mdlq0919f9z541x661wd1wc69rwbhg-guix-locale-guix...<=
br>&nbsp;guix-locale-guix&nbsp; 184KiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 552KiB/s 00:00 [##################] 1=
00.0%<br><br>substituting /gnu/store/rczg59vz1aw0fmvz23j5dfyigbnhb7ij-guix=
-locale-guix-packages...<br>downloading from https://ci.guix.info/nar/gzip=
/rczg59vz1aw0fmvz23j5dfyigbnhb7ij-guix-locale-guix-packages...<br>&nbsp;gu=
ix-locale-guix-packages&nbsp; 142KiB&nbsp;&nbsp;&nbsp; 395KiB/s 00:00 [###=
###############] 100.0%<br><br>substituting /gnu/store/fi037bcbjna4v5jc4la=
k62y6nsrv5af4-guix-packages...<br>downloading from https://ci.guix.info/na=
r/gzip/fi037bcbjna4v5jc4lak62y6nsrv5af4-guix-packages...<br>&nbsp;guix-pac=
kages&nbsp; 6.0MiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 836KiB/s 00:07 [##################] 100=
.0%<br><br>substituting /gnu/store/p16y33vqp0pnhd6i4a477f2h3fccg0r4-guix-p=
ackages-base...<br>downloading from https://ci.guix.info/nar/gzip/p16y33vq=
p0pnhd6i4a477f2h3fccg0r4-guix-packages-base...<br>&nbsp;guix-packages-base=
&nbsp; 13.3MiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 941Ki=
B/s 00:14 [##################] 100.0%<br><br>substituting /gnu/store/gbmx1=
4s06mvcgqmx156p7xif4gmgq2cz-guix-packages-modules...<br>downloading from h=
ttps://ci.guix.info/nar/gzip/gbmx14s06mvcgqmx156p7xif4gmgq2cz-guix-package=
s-modules...<br>&nbsp;guix-packages-modules&nbsp; 270B&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 87KiB/s 00:00 [##################=
] 100.0%<br><br>substituting /gnu/store/z44whzhr2yhmkdcj514iy2y3nqj9bcvs-g=
uix-packages-base-modules...<br>downloading from https://ci.guix.info/nar/=
gzip/z44whzhr2yhmkdcj514iy2y3nqj9bcvs-guix-packages-base-modules...<br>&nb=
sp;guix-packages-base-modules&nbsp; 276B&nbsp;&nbsp;&nbsp;&nbsp; 132KiB/s =
00:00 [##################] 100.0%<br><br>substituting /gnu/store/7l35v4hrc=
21apkq3b030pg84nlc2s4nl-module-import-compiled...<br>downloading from http=
s://ci.guix.info/nar/gzip/7l35v4hrc21apkq3b030pg84nlc2s4nl-module-import-c=
ompiled...<br>&nbsp;module-import-compiled&nbsp; 125KiB&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp; 632KiB/s 00:00 [##################] 100.0%<br><br>substi=
tuting /gnu/store/kyx4mx1n2ln0qx80j7y9c0gdczkb4xlb-module-import-compiled.=
..<br>downloading from https://ci.guix.info/nar/gzip/kyx4mx1n2ln0qx80j7y9c=
0gdczkb4xlb-module-import-compiled...<br>&nbsp;module-import-compiled&nbsp=
; 9KiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.9MiB/s 00:00 [###=
###############] 100.0%<br><br>substituting /gnu/store/syp239hi3xjgxdm8r4h=
vhhzh67i5ixgl-module-import-compiled...<br>downloading from https://ci.gui=
x.info/nar/gzip/syp239hi3xjgxdm8r4hvhhzh67i5ixgl-module-import-compiled...=
<br>&nbsp;module-import-compiled&nbsp; 45KiB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp; 1.0MiB/s 00:00 [##################] 100.0%<br><br>building /g=
nu/store/zbaakpbhjl975hfa1j3slr68kiw3765p-guix-system.drv...<br>[136/136] =
compiling...&nbsp;&nbsp;&nbsp; 100.0% of 68 files<br>successfully built /g=
nu/store/zbaakpbhjl975hfa1j3slr68kiw3765p-guix-system.drv<br>building /gnu=
/store/9ayhd6bzwpkidh14879i59xw3f6gfawi-guix-cli.drv...<br>[ 92/ 92] compi=
ling...&nbsp;&nbsp;&nbsp; 100.0% of 46 files<br>successfully built /gnu/st=
ore/9ayhd6bzwpkidh14879i59xw3f6gfawi-guix-cli.drv<br>building /gnu/store/r=
4d37lb61g40kdvapvccblsji4vfg77g-guix-system-modules.drv...<br>successfully=
 built /gnu/store/r4d37lb61g40kdvapvccblsji4vfg77g-guix-system-modules.drv=
<br>building /gnu/store/xac0q5sr622rqbiv9fjaya8cf4v7nm4q-guix-cli-modules.=
drv...<br>successfully built /gnu/store/xac0q5sr622rqbiv9fjaya8cf4v7nm4q-g=
uix-cli-modules.drv<br>building /gnu/store/kvmmmgrdg1gmwbq8pm32piichfgxznq=
n-guix-system-tests.drv...<br>[&nbsp; 5/ 38] loading...&nbsp;&nbsp;&nbsp; =
&nbsp;26.3% of 19 filesrandom seed for tests: 1555236667<br>[ 38/ 38] comp=
iling...&nbsp;&nbsp;&nbsp; 100.0% of 19 files<br>successfully built /gnu/s=
tore/kvmmmgrdg1gmwbq8pm32piichfgxznqn-guix-system-tests.drv<br>building /g=
nu/store/h1bcaa585wbmvdy5g7bf094xp1f1apk9-guix-system-tests-modules.drv...=
<br>successfully built /gnu/store/h1bcaa585wbmvdy5g7bf094xp1f1apk9-guix-sy=
stem-tests-modules.drv<br>building /gnu/store/2yskwsnr04yxlc82sdzb6gp63zai=
nm5j-guix-cabe8f184-modules.drv...<br>successfully built /gnu/store/2yskws=
nr04yxlc82sdzb6gp63zainm5j-guix-cabe8f184-modules.drv<br>building /gnu/sto=
re/ihg030qqmxs7vb1gkggfv2ihhy9i97da-guix-module-union.drv...<br>successful=
ly built /gnu/store/ihg030qqmxs7vb1gkggfv2ihhy9i97da-guix-module-union.drv=
<br>building /gnu/store/sp360c1ryx21vkk5zysv02a0p39fg273-guix-command.drv.=
..<br>successfully built /gnu/store/sp360c1ryx21vkk5zysv02a0p39fg273-guix-=
command.drv<br>building /gnu/store/zs7nr84r1wkgx5adcagbr1vj81pg5fhh-guix-d=
aemon.drv...<br>successfully built /gnu/store/zs7nr84r1wkgx5adcagbr1vj81pg=
5fhh-guix-daemon.drv<br>building /gnu/store/4zisbw8kkagrscibxn2kp75pryyy9d=
qa-guix-cabe8f184.drv...<br>successfully built /gnu/store/4zisbw8kkagrscib=
xn2kp75pryyy9dqa-guix-cabe8f184.drv<br>building /gnu/store/3jfqfg4c0wssq8l=
m2av8297dq3ry5kz8-guix-nonfree-wingo.drv...<br>[ 1/ 1] Compiling './gnu/pa=
ckages/linux-nonfree.scm'...<br>successfully built /gnu/store/3jfqfg4c0wss=
q8lm2av8297dq3ry5kz8-guix-nonfree-wingo.drv<br>building /gnu/store/z9mgfj8=
7zpdw91g553xi32h1w7b7j4mw-module-import-compiled.drv...<br>[ 1/ 1] Compili=
ng './guix/build/utils.scm'...<br>successfully built /gnu/store/z9mgfj87zp=
dw91g553xi32h1w7b7j4mw-module-import-compiled.drv<br>building /gnu/store/m=
grfbhnjkib39zq20f560jxvni0aflc2-guix-nonfree-wingo.drv...<br>successfully =
built /gnu/store/mgrfbhnjkib39zq20f560jxvni0aflc2-guix-nonfree-wingo.drv<b=
r>building CA certificate bundle...<br>successfully built /gnu/store/rmfin=
lzdykwk2zb4d4jqggjlyhks0fxv-ca-certificate-bundle.drv<br>building fonts di=
rectory...<br>successfully built /gnu/store/zng7c6a5q0v70yn1x4b5zmsbs32604=
40-fonts-dir.drv<br>building directory of Info manuals...<br>Backtrace:<br=
>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 10 (primitive-load=
 "/gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?")<br>In ice-9/eval.scm:<br>&nbsp=
;&nbsp; 721:20&nbsp; 9 (primitive-eval (begin (use-modules (guix build #) =
?) ?))<br>In ice-9/psyntax.scm:<br>&nbsp; 1235:36&nbsp; 8 (expand-top-sequ=
ence ((begin (use-modules (# # ?) ?) ?)) ?)<br>&nbsp; 1182:24&nbsp; 7 (par=
se _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)<br>&nbsp; 1182:24&n=
bsp; 6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)<br>&nbsp=
;&nbsp; 285:10&nbsp; 5 (parse _ (("placeholder" placeholder)) (()) _ c&amp=
;e (eval) ?)<br>In ice-9/boot-9.scm:<br>&nbsp; 3377:20&nbsp; 4 (process-us=
e-modules _)<br>&nbsp;&nbsp; 222:17&nbsp; 3 (map1 (((guix build utils)) ((=
srfi srfi-1)) ((srfi ?)) ?))<br>&nbsp; 3378:31&nbsp; 2 (_ ((guix build uti=
ls)))<br>&nbsp;&nbsp; 2803:6&nbsp; 1 (resolve-interface _ #:select _ #:hid=
e _ #:prefix _ # _ ?)<br>In unknown file:<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0 (scm-error misc-error #f "~A ~S" ("no co=
de for modu?" ?) ?)<br><br>ERROR: In procedure scm-error:<br>no code for m=
odule (guix build utils)<br>builder for `/gnu/store/21dpv46d3bqxivs7mq0jqi=
c6d5hdjmph-info-dir.drv' failed with exit code 1<br>build of /gnu/store/21=
dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv failed<br>View build log at '/=
var/log/guix/drvs/21/dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv.bz2'.<br>=
cannot build derivation `/gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-profi=
le.drv': 1 dependencies couldn't be built<br>guix pull: error: build faile=
d: build of `/gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-profile.drv' fail=
ed<br>root@yoga-guix /home/timothy/config/guix# guix system reconfigure co=
nfig.scm <br>guix system: warning: Your Guix installation is 27 days old.<=
br>guix system: warning: Consider running 'guix pull' followed by<br>'guix=
 system reconfigure' to get up-to-date packages and security updates.<br><=
br>substitute: updating substitutes from 'https://ci.guix.info'... 100.0%<=
br>The following derivations will be built:<br>&nbsp;&nbsp; /gnu/store/3jk=
q4vaah10y2j0lvf17cb2cn2krplbz-boot.drv<br>&nbsp;&nbsp; /gnu/store/jdp3xs6r=
77cbhpg114k2q9ss3j31vhin-shepherd.conf.drv<br>&nbsp;&nbsp; /gnu/store/07a6=
r0b2rr8ikjcf0h55zhvbyv37if7d-shepherd-xorg-server.scm.drv<br>&nbsp;&nbsp; =
/gnu/store/2a3104fxa3hvmfm4syisc2qqlikkqhlj-slim.cfg.drv<br>&nbsp;&nbsp; /=
gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mvi8-startx.drv<br>&nbsp;&nbsp; /gnu=
/store/6hf4bdrzad3g22wsk86784s315zf9bd0-profile.drv<br>&nbsp;&nbsp; /gnu/s=
tore/xhlgdwg6q4qmim13k0yak1jpmjpk5c35-grub.cfg.drv<br>&nbsp;&nbsp; /gnu/st=
ore/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-system.drv<br>The following profile h=
ooks will be built:<br>&nbsp;&nbsp; /gnu/store/47j444pc8p124kry7fy2bz5bsss=
bxh4f-manual-database.drv<br>&nbsp;&nbsp; /gnu/store/5zih3px96j4fllllcyngp=
95sq8211d6f-info-dir.drv<br>&nbsp;&nbsp; /gnu/store/jk70lskj0v8bqfb76qyhr0=
wk3qwsy9w3-xdg-mime-database.drv<br>&nbsp;&nbsp; /gnu/store/ypvrn8ymv0xnpp=
y34jg8kqrppkdwbddz-xdg-desktop-database.drv<br>building directory of Info =
manuals...<br>builder for `/gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-inf=
o-dir.drv' failed with exit code 1<br>build of /gnu/store/5zih3px96j4fllll=
cyngp95sq8211d6f-info-dir.drv failed<br>View build log at '/var/log/guix/d=
rvs/5z/ih3px96j4fllllcyngp95sq8211d6f-info-dir.drv.bz2'.<br>cannot build d=
erivation `/gnu/store/6hf4bdrzad3g22wsk86784s315zf9bd0-profile.drv': 1 dep=
endencies couldn't be built<br>building /gnu/store/hv8zpm7ga51sd18pn48nldp=
z3y99mvi8-startx.drv...<br>cannot build derivation `/gnu/store/pwd9mfvijn0=
b83n2rxmfkdmfqc1qxspr-system.drv': 1 dependencies couldn't be built<br>gui=
x system: error: build failed: build of `/gnu/store/pwd9mfvijn0b83n2rxmfkd=
mfqc1qxspr-system.drv' failed<br>root@yoga-guix /home/timothy/config/guix#=
 guix pull<br>Updating channel 'guix-nonfree-wingo' from Git repository at=
 'https://github.com/wingo/guix-nonfree.git'...<br>Updating channel 'guix'=
 from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...<br>=
Building from these channels:<br>&nbsp; guix&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
 https://git.savannah.gnu.org/git/guix.git&nbsp;&nbsp;&nbsp; cabe8f1<br>&n=
bsp; guix-nonfree-wingohttps://github.com/wingo/guix-nonfree.git&nbsp;&nbs=
p;&nbsp; 455d9dd<br>Computing Guix derivation for 'x86_64-linux'... /<br>T=
he following derivation will be built:<br>&nbsp;&nbsp; /gnu/store/1108wbny=
inkgpndfrbs62ry42xsrh69z-profile.drv<br>The following profile hooks will b=
e built:<br>&nbsp;&nbsp; /gnu/store/71ykizf5m0mq9awk9nlfaa8i0a1k6ycf-manua=
l-database.drv<br>&nbsp;&nbsp; /gnu/store/21dpv46d3bqxivs7mq0jqic6d5hdjmph=
-info-dir.drv<br>building directory of Info manuals...<br>Backtrace:<br>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 10 (primitive-load "/=
gnu/store/0f4zf4bnfasysq3lsc0a6rfcsp6?")<br>In ice-9/eval.scm:<br>&nbsp;&n=
bsp; 721:20&nbsp; 9 (primitive-eval (begin (use-modules (guix build #) ?) =
?))<br>In ice-9/psyntax.scm:<br>&nbsp; 1235:36&nbsp; 8 (expand-top-sequenc=
e ((begin (use-modules (# # ?) ?) ?)) ?)<br>&nbsp; 1182:24&nbsp; 7 (parse =
_ (("placeholder" placeholder)) ((top) #(# # ?)) ?)<br>&nbsp; 1182:24&nbsp=
; 6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)<br>&nbsp;&n=
bsp; 285:10&nbsp; 5 (parse _ (("placeholder" placeholder)) (()) _ c&amp;e =
(eval) ?)<br>In ice-9/boot-9.scm:<br>&nbsp; 3377:20&nbsp; 4 (process-use-m=
odules _)<br>&nbsp;&nbsp; 222:17&nbsp; 3 (map1 (((guix build utils)) ((srf=
i srfi-1)) ((srfi ?)) ?))<br>&nbsp; 3378:31&nbsp; 2 (_ ((guix build utils)=
))<br>&nbsp;&nbsp; 2803:6&nbsp; 1 (resolve-interface _ #:select _ #:hide _=
 #:prefix _ # _ ?)<br>In unknown file:<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp; 0 (scm-error misc-error #f "~A ~S" ("no code =
for modu?" ?) ?)<br><br>ERROR: In procedure scm-error:<br>no code for modu=
le (guix build utils)<br>builder for `/gnu/store/21dpv46d3bqxivs7mq0jqic6d=
5hdjmph-info-dir.drv' failed with exit code 1<br>build of /gnu/store/21dpv=
46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv failed<br>View build log at '/var=
/log/guix/drvs/21/dpv46d3bqxivs7mq0jqic6d5hdjmph-info-dir.drv.bz2'.<br>can=
not build derivation `/gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-profile.=
drv': 1 dependencies couldn't be built<br>guix pull: error: build failed: =
build of `/gnu/store/1108wbnyinkgpndfrbs62ry42xsrh69z-profile.drv' failed<=
br></div><div><br></div><div>When I run guix system reconfigure I get a si=
milar error:</div><div><br></div><div># cat config.scm</div><div>(use-modu=
les (gnu) (gnu system nss) (guix download) (guix packages));(gnu services =
docker))<br>(use-service-modules desktop)<br>(use-package-modules certs gn=
ome)<br><br>(define %trezor-udev-rule<br>&nbsp; (file-&gt;udev-rule<br>&nb=
sp;&nbsp;&nbsp; "51-android-udev.rules"<br>&nbsp;&nbsp;&nbsp; (let ((versi=
on "dddc6289742f6e0cb7f8feec13dbabe199111dc1"))<br>&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp; (origin<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (method url-fetch)=
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (uri (string-append "https://raw.=
githubusercontent.com/trezor/trezor-common/"<br>&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; version "/udev/51=
-trezor.rules"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (sha256 (base32 "=
06yqq3ydakigfv1mjl4hjzy3q5k6j4l9ly4n3ahx6h5rc8jy7bf8"))))))<br><br>(operat=
ing-system<br>&nbsp; (host-name "yoga-guix")<br>&nbsp; (timezone "Europe/P=
rague")<br>&nbsp; (locale "en_US.utf8")<br>&nbsp; ;(kernel linux-nonfree)<=
br>&nbsp; ;(firmware (append (list<br>&nbsp; ;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp; iwlwifi-firmware-nonfree)<br>&nbsp; ;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %=
base-firmware))<br><br>&nbsp; ;; Use the UEFI variant of GRUB with the EFI=
 System<br>&nbsp; ;; Partition mounted on /boot/efi.<br>&nbsp; (bootloader=
 (bootloader-configuration<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (bootloader grub-efi-bootlo=
ader)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp; (target "/boot/efi")))<br><br>&nbsp; ;; Specify =
a mapped device for the encrypted root partition.<br>&nbsp; ;; The UUID is=
 that returned by 'cryptsetup luksUUID'.<br>&nbsp; (mapped-devices<br>&nbs=
p;&nbsp; (list (mapped-device<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp; (source (uuid "b36255d2-ecc5-428f-87c3-cca2a7e59b25"))<br>&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (target "my-root")<br=
>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (type luks-device-=
mapping))))<br><br>&nbsp; (file-systems (cons (file-system<br>&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (device (file-system-=
label "my-root"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp; (mount-point "/")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; (type "ext4")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (dependencies mapped-devices))<br>&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (cons (file-system<br>&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (device "/dev/sd=
a1")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (=
mount-point "/boot/efi")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp; (type "vfat")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp; (dependencies mapped-devices))<br>&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-file-systems)))<br><br>&nbsp=
; (users (cons (user-account<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (name "timothy")<br>&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp; (comment "Main account")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (group "users")<b=
r>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp; (supplementary-groups '("wheel" "netdev"<br>&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
; "audio" "video")<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp; ); "docker"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (home-directory "=
/home/timothy"))<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %base-user-accounts))<br><br>&nbsp; ;; This=
 is where we specify system-wide packages.<br>&nbsp; (packages (cons* nss-=
certs&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ;for HTTPS access<br=
>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; gvfs&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ;for user mounts<br>&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp; %base-packages))<br><br>&nbsp; ;; Add GNOME and/=
or Xfce---we can choose at the log-in<br>&nbsp; ;; screen with F1.&nbsp; U=
se the "desktop" services, which<br>&nbsp; ;; include the X11 log-in servi=
ce, networking with<br>&nbsp; ;; NetworkManager, and more.<br>&nbsp; (serv=
ices (cons* (xfce-desktop-service)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ;=
(service docker-service-type)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (modif=
y-services %desktop-services<br>&nbsp;&nbsp; (udev-service-type config =3D=
&gt;<br>&nbsp;&nbsp;&nbsp;&nbsp; (udev-configuration (inherit config)<br>&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (rules (append (udev-configuration-rules con=
fig)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (list %trezor-udev-=
rule))))))))<br><br>&nbsp; ;; Allow resolution of '.local' host names with=
 mDNS.<br>&nbsp; (name-service-switch %mdns-host-lookup-nss))<br><br></div=
><div># guix system reconfigure config.scm <br>guix system: warning: Your =
Guix installation is 27 days old.<br>guix system: warning: Consider runnin=
g 'guix pull' followed by<br>'guix system reconfigure' to get up-to-date p=
ackages and security updates.<br><br>The following derivations will be bui=
lt:<br>&nbsp;&nbsp; /gnu/store/3jkq4vaah10y2j0lvf17cb2cn2krplbz-boot.drv<b=
r>&nbsp;&nbsp; /gnu/store/jdp3xs6r77cbhpg114k2q9ss3j31vhin-shepherd.conf.d=
rv<br>&nbsp;&nbsp; /gnu/store/07a6r0b2rr8ikjcf0h55zhvbyv37if7d-shepherd-xo=
rg-server.scm.drv<br>&nbsp;&nbsp; /gnu/store/2a3104fxa3hvmfm4syisc2qqlikkq=
hlj-slim.cfg.drv<br>&nbsp;&nbsp; /gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mv=
i8-startx.drv<br>&nbsp;&nbsp; /gnu/store/6hf4bdrzad3g22wsk86784s315zf9bd0-=
profile.drv<br>&nbsp;&nbsp; /gnu/store/xhlgdwg6q4qmim13k0yak1jpmjpk5c35-gr=
ub.cfg.drv<br>&nbsp;&nbsp; /gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-sys=
tem.drv<br>The following profile hooks will be built:<br>&nbsp;&nbsp; /gnu=
/store/47j444pc8p124kry7fy2bz5bsssbxh4f-manual-database.drv<br>&nbsp;&nbsp=
; /gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv<br>&nbsp;&nbsp;=
 /gnu/store/jk70lskj0v8bqfb76qyhr0wk3qwsy9w3-xdg-mime-database.drv<br>&nbs=
p;&nbsp; /gnu/store/ypvrn8ymv0xnppy34jg8kqrppkdwbddz-xdg-desktop-database.=
drv<br>building directory of Info manuals...<br>builder for `/gnu/store/5z=
ih3px96j4fllllcyngp95sq8211d6f-info-dir.drv' failed with exit code 1<br>bu=
ild of /gnu/store/5zih3px96j4fllllcyngp95sq8211d6f-info-dir.drv failed<br>=
View build log at '/var/log/guix/drvs/5z/ih3px96j4fllllcyngp95sq8211d6f-in=
fo-dir.drv.bz2'.<br>cannot build derivation `/gnu/store/6hf4bdrzad3g22wsk8=
6784s315zf9bd0-profile.drv': 1 dependencies couldn't be built<br>building =
/gnu/store/hv8zpm7ga51sd18pn48nldpz3y99mvi8-startx.drv...<br>cannot build =
derivation `/gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-system.drv': 1 dep=
endencies couldn't be built<br>guix system: error: build failed: build of =
`/gnu/store/pwd9mfvijn0b83n2rxmfkdmfqc1qxspr-system.drv' failed<br></div><=
div><br></div><div>Interestingly, I can apparently still install packages =
as a normal user. "guix package -i vim" still works.</div><div><br></div><=
div>$ guix package -i vim<br>guix package: warning: Your Guix installation=
 is 28 days old.<br>guix package: warning: Consider running 'guix pull' fo=
llowed by<br>'guix package -u' to get up-to-date packages and security upd=
ates.<br><br>The following package will be upgraded:<br>&nbsp;&nbsp; vim&n=
bsp;&nbsp;&nbsp; 8.1.0644 =E2=86=92 8.1.0644&nbsp;&nbsp;&nbsp; /gnu/store/=
xpmgf3qa7ygz89829275qv3af5l0m790-vim-8.1.0644<br><br>substitute: updating =
substitutes from 'https://ci.guix.info'... 100.0%<br>The following derivat=
ion will be built:<br>&nbsp;&nbsp; /gnu/store/9r6wv1z2bv4qvixbpbx00ivabbag=
1w71-profile.drv<br>The following profile hooks will be built:<br>&nbsp;&n=
bsp; /gnu/store/9nigd5asmabi8fy3hnxmip7flx5spwn2-manual-database.drv<br>&n=
bsp;&nbsp; /gnu/store/4l73z6bkk92cm2igv276bvl4fzjs7n7i-xdg-mime-database.d=
rv<br>&nbsp;&nbsp; /gnu/store/9y5lq4ygxiv30mbcjwvmpcc6qdv6d40x-gtk-im-modu=
les.drv<br>&nbsp;&nbsp; /gnu/store/aw9q4nra3h7kk2dp925rjvlmz8143xpk-fonts-=
dir.drv<br>&nbsp;&nbsp; /gnu/store/ipql4jmlhazxx1vzwbhgw5sp37y22py7-ghc-pa=
ckage-cache.drv<br>&nbsp;&nbsp; /gnu/store/j2qc11mc9adwks7zs5drfqwrckdhg05=
d-ca-certificate-bundle.drv<br>&nbsp;&nbsp; /gnu/store/p554ffq3lriv78gjnxy=
2jibnh7qxrnc2-info-dir.drv<br>&nbsp;&nbsp; /gnu/store/r08v8pcvxp3kij62f578=
a68fj8487sbk-xdg-desktop-database.drv<br>&nbsp;&nbsp; /gnu/store/xpf1m7a7p=
waaf8sc117b7kb6scjvkpdk-glib-schemas.drv<br>&nbsp;&nbsp; /gnu/store/zgjqrs=
8i7q3j6l9y2d959yac4m7515mq-gtk-icon-themes.drv<br>building CA certificate =
bundle...<br>building fonts directory...<br>building GHC package cache...<=
br>generating GLib schema cache...<br>creating GTK+ icon theme cache...<br=
>building cache files for GTK+ input methods...<br>building directory of I=
nfo manuals...<br>building database for manual pages...<br>building XDG de=
sktop file cache...<br>building XDG MIME database...<br>building /gnu/stor=
e/9r6wv1z2bv4qvixbpbx00ivabbag1w71-profile.drv...<br>89 packages in profil=
e</div><div><br></div><div><br></div></body></html>
--=_0e43e6256f20f59c4f237e68=6d83d4e6-835c-5f71-a59e-308637d33d66_=--





Acknowledgement sent to <timothyhobbs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35274; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.